function [URL, URLinfo] = addgrid(URLinfo, baseurl, LonRange, Nlon, LatRange, ...
    Nlat, dset_stride, ranges, variable, axes_order)

% This function will build the simplest rectangle grid.

urlcon = [];
[start_lon,end_lon] = splitrequest(LonRange, ranges);
rows = pixcheck(ranges(2,:), LatRange, Nlat);
rows = rows - 1;
URL = '';
for i = 1:length(start_lon)
  lon = [start_lon(i) end_lon(i)];
  columns = pixcheck(lon, LonRange, Nlon);
  columns = columns - 1;
  iURL = '';
  Constraint = '';
  % MAKE UP SOME URLinfo for getmultiurls!
  cols{i} = columns;
  urlcon1 = [rows columns];
  urlcon = [urlcon; urlcon1];
  % Change the row/col  constraint information to string.
  % this needs to be generalized for N-dimensions. (Four to be
  % constrained by browser and user prompted for the others).
  for i = 1:size(variable,1)
    if all(axes_order(1:2) == [2 1])
      Constraint = [Constraint, sprintf('%s',deblank(variable(i,:)), ...
	    '[',num2str(rows(1)),':', ...
	    num2str(dset_stride),':',num2str(rows(2)),'][', ...
	    num2str(columns(1)), ':', num2str(dset_stride), ':',...
	    num2str(columns(2)), ']')];
    elseif all(axes_order(1:2) == [1 2])
      Constraint = [Constraint, sprintf('%s',deblank(variable(i,:)), ...
	    '[',num2str(columns(1)),':', ...
	    num2str(dset_stride),':',num2str(columns(2)),'][', ...
	    num2str(rows(1)), ':', num2str(dset_stride), ':',...
	    num2str(rows(2)), ']')];
    end
    if i < size(variable,1)
      Constraint = [Constraint, ','];
    end
  end
  iURL = [baseurl '?' Constraint];
  if ~isempty(URL), URL = [URL ' ']; end
  URL = [URL iURL];
end
axindex = cell(2,1);
if all(axes_order(1:2) == [2 1])
  axindex{1} = [rows];
  axindex{2} = cat(1,cols{:});
  URLinfo.axes{1} = mapvector(ranges(2,:), 1, LatRange, Nlat);
  URLinfo.axes{2} = mapvector(ranges(1,:), 1, LonRange, Nlon);
else
  axindex{1} = cat(1,cols{:});
  axindex{2} = [rows];
  URLinfo.axes{1} = mapvector(ranges(1,:), 1, LonRange, Nlon);
  URLinfo.axes{2} = mapvector(ranges(2,:), 1, LatRange, Nlat);
end
URLinfo.axindex = axindex(:);
URLinfo.stride = [dset_stride; dset_stride];
URLinfo.urlconstraint = num2cell(urlcon,2);
return

