function [yrday] = date2d(year,month,day)

% 
% Format: [yrday] = date2d(year,month,dayinmonth)
% The function calculates yrdays based on year, month and day_in_month.
% Input args could be scalar or matrix.
% For example,   date2d(1998, 1, 1)  returns [yrday] = 1;
%

% $Id: date2d.m,v 1.1 2002/04/15 20:02:57 dan Exp $
% klee 03/29/2000
  
leap = isleap(year);
monthlastdayleap = [31 60 91 121 152 182 213 244 274 305 335 400];
monthlastday = [31 59 90 120 151 181 212 243 273 304 334 400];

yrday = [];
for i = 1:length(year)
  if (month(i) - 1) == 0
    yrday = [yrday; day(i)];
  else
    if leap(i)
      yrday = [yrday; (monthlastdayleap(month(i)-1) + day(i))];
    else
      yrday = [yrday; (monthlastday(month(i)-1) + day(i))];
    end
  end
end

return


% $Log: date2d.m,v $
% Revision 1.1  2002/04/15 20:02:57  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.1  2000/11/14 19:27:19  kwoklin
% First toolbox internal release.  Note that the TEMP/TEMPERATURE switch
% for nmfscur is disabled in the hope that the data files would be self-
% corrected in the near future.   klee
%
