%
%  Narragansett Bay Icthyoplankton (FOCUS) Dataset

% The preceding empty line is important
% $Id: focusnb.m,v 1.1 2002/04/15 20:03:58 dan Exp $
% klee 11/21/2000
% klee 11/10/1999

GetFunctionName = 'getjgsta';
CatalogServer = 'http://dods.gso.uri.edu/cgi-bin/nph-ff/catalog/focuslocation.dat';
Cat_m_File = 'gbcat';
URL_m_File = 'gburl';
Catvars = str2mat('DODS_URL','DODS_Min_Latitude','DODS_Max_Latitude','DODS_Min_Longitude','DODS_Max_Longitude');
Catselc = str2mat('date_range');
Catstr = 'FOCUSNB';

LonRange = [-70.85 -70.55];
LatRange = [41.40 41.85];
TimeRange = [1972.41530 1973.66575342];
DepthRange = [0.0 0.0];
Resolution = nan;

DodsName = str2mat('Umbrella');
SelectableVariables = str2mat('Icthyoplankton');
UmbrellaDods = str2mat(str2mat('s1','s2','s3','s4','s5','s6','s7','s8','s9'),...
                       str2mat('s10','s11','s12','s13','s14','s15','s16','s17','s18'),...
                       str2mat('s19','s20','s21','s22','s23','s24','s25','s26','s27'),...
                       str2mat('s28','s29','s30','s31','s32','s33','s34','s35','s36'),...
                       str2mat('s37','s38','s39','s40','s41','s42','s43','s44','s45'),...
                       str2mat('s46','s47','s48','s49','s50','TOTAL','sec'));
UmbrellaVariables = str2mat(str2mat('ALOSA_SPP','AMMODYTES_AMERICANUS','ANCHOA_HEPSETUS','ANCHOA_MITCHILLI','ANCHOA_SPP','ANGUILLA_ROSTRATA','ASPIDOPHOROIDES_MONOPTERYGIUS','BREVOORTIA_TYRANNUS','CLUPEA_HARENGUS_HARENGUS'),...
                   str2mat('CYNOSCION_REGALIS','ENCHELYOPUS_CIMBRIUS','GADIDAE','GADUS_MORHUA','GASTEROSTEUS_ACULEATUS','GLYPTOCEPHALUS_CYNOGLOSSUS','GOBIOSOMA_GINSBURGI','HIPPOGLOSSOIDES_PLATESSOIDES','LABRIDAE','LIMANDA_FERRUGINEA'),...
                   str2mat('LIPARIS_ATLANTICUS','LOPHIUS_AMERICANUS','MELANOGRAMMUS_AEGLEFINUS','MENIDIA_MENIDIA','MENTICIRRHUS_SAXATILIS','MERLUCCIUS_BILINEARIS','MYOXOCEPHALUS_SPP','OPHICHTHIDAE','OPHIDIIDAE'), ...
                   str2mat('OSMERUS_MORDAX','PARALICHTHYS_DENTATUS','PARALICHTHYS_OBLONGUS','PEPRILUS_TRIACANTHUS','PHOLIS_GUNNELLUS','POLLACHIUS_VIRENS','POMATOMUS_SALTATRIX','PRIONOTUS_SPP','PSEUDOPLEURONECTES_AMERICANUS'),...
                   str2mat('SCOMBER_SCOMBRUS','SCOPHTHALMUS_AQUOSUS','SPHOEROIDES_MACULATUS','STENOTOMUS_CHRYSOPS','STENOTOMUS_CYNOSCION','SYNGNATHUS_FUSCUS','TAUTOGA_ONITIS','TAUTOGOLABRUS_ADSPERSUS','TRINECTES_MACULATUS'),...
                   str2mat('ULVARIA_SUBBIFURCATA','UNIDENTIFIED','UNIDENTIFIED_CLUPEIF0RMES','UROPHYCIS_SPP','TOTAL','Sector'));

DataName = 'Icthyoplankton - Rome Point Investigations: Narragansett Bay Icthyoplankton (FOCUS) - URI'; 
LongitudeName = '';
LatitudeName = '';
TimeName = str2mat('month','year');          
DepthName = '';
DepthUnits = '';
TimeInfo_File = 'focusnbt';
GeoInfo_File = 'focusnbg';

DataNull=[nan nan nan nan -99 -99 -99 -99 -99 -99 -99 -99 -99 -99 ...
                  -99 -99 -99 -99 -99 -99 -99 -99 -99 -99 ...
                  -99 -99 -99 -99 -99 -99 -99 -99 -99 -99 ...
                  -99 -99 -99 -99 -99 -99 -99 -99 -99 -99 ...
                  -99 -99 -99 -99 -99 -99 -99 -99 -99 -99 -99 -99];

Acknowledge = sprintf('%s\n\n%s', ...
    [ 'The origin of this data set is from Marine Research Inc. at Falmouth, MA.', ...
      'The data were provided by the Graduate School of Oceanography at ',...
      'University of Rhode Island and accessed via ', ...
      'the Distributed Oceanographic Data System (DODS: ', ...
      'http://www.unidata.ucar.edu/packages/dods).'],...
    [ 'Citation: Rome Point Investigations: Narragansett Bay Icthyoplankton ',...
      'Final Report, University of Rhode Island, Graduate School of Oceanography, ',...
      'Pell Library, Call No. GC1010 R6551 1974.']);
Data_Use_Policy = [];

%COMMENTS
Comments1 = sprintf('%s\n',...
'   ',...
'           Rome Point Investigations: Narragansett Bay Icthyoplankton (FOCUS)   ',...
'   ',...
 '           Parameter         Description                    Units',...
'      --------------------------------------------------------------------------',...
'            month                                            local time',...
'            year                                             local time',...
'            density           monthly mean density           count/hundred cubic meters',...
'   ',...
'Abstract:',...
'  This report, in fulfillment of work performed for the Narragansett Electric Company,',...
'is concerned with the early life of fishes in Narragansett Bay, one of new England''s ',...
'largest estuaries. It summarizes the results of field sampling carried out by Marine',...
'Research, Inc. between 22 June 1972 and 30 August 1973: nearly 6900 plankton tows at ',...
'approximately 160 stations.',...
'   ',...
'Purpose:',...
'  There were two main objectives to this survey. First: to determine whether ichthyoplankton',...
'populations in Mt. Hope Bay and West Passage were typical, or exceptional, when compared',...
'with other sectors of Narragansett Bay. Second: to establish what degree of variation in ',...
'time and place might be characteristic of the Bay''s ichthyoplankton under present conditions. ',...
'    ',...
'Methods:',...
'  1.      Oblique ichthyoplankton tows: Bongo net',...
'     Weekly sampling at the stations shown in Fig. 1 was begun on June 22, 1972, ',...
'and continued through August, when the interval was reduced to once a month. In ',...
'March, 1973, there were two complete series of tows. In April, weekly sampling ',...
'was resumed, and continued through August 1973, the end of the fieldwork for the ',...
'program.',...
'Paired bridleless nets ("bongo" nets) (McGowan and Brown, 1966) were used ',...
'for the survey. Selection of this gear by the National Marine Fisheries Service',... 
'(NOAA) for its projected, extensive MARMAP ichthyoplankton survey led to our ',...
'choice, in order to facilitate comparison of data.',...
'The dimensions of the standard net are given in Appendix Fig. 1. Mesh size of ',...
'505 microns was chosen because it considerably reduced contamination of the ',...
'samples with smaller zooplankton, making counting more efficient. Though 333 ',...
'micron mesh is often used, studies by the National Marine Fisheries Service ',...
'(unpublished MSS,) indicate that retention of anchovy larvae, except for the ',...
'smallest sizes, is comparable for 505 micron and 333 micron nets; these studies ',...
'show that the 505 micron mesh net catches larger larvae (6-7 mm and longer) more ',...
'efficiently than tile 333 micron net, when towing speeds are about 3 kt.',...
'Each sampling series consisted of an oblique tow at each station. Every effort ',...
'was made to complete a given series in two days'' time, beginning at least one hour ',...
'past dawn, and ending at least an hour before sundown.  This required the use of ',...
'four vessels and sampling crews. In a few cases, because of bad weather, a third ',...
'day''s work was needed to complete a series. In some cases, long spells of stormy ',...
'weather prevented sampling at certain stations altogether, though only once (21 ',...
'March 1973) did the missed stations constitute a substantial part of the total. Results ',...
'from this day''s sampling have been omitted in the analysis of data, though they are ');

Comments2 = sprintf('%s\n',...
'included in an earlier progress report (MRI, 1973c).',...
'We chartered small commercial vessels from Narragansett Bay to carry out the ',...
'work: quahoggers or small draggers in the 40 to 50 ft class. When necessary for ',...
'control of winch speed relative to boat speed, the vessels were fitted with additional ',...
'gears on their winches.',...
'Minimum length of tow was established at four minutes, based upon ',...
'experience from smaller scale studies in the Bay carried out during the previous ',...
'fifteen months. This length of tow, when dominant species were moderately ',...
'abundant, yielded statistically useful numbers of organisms generally, though it ',...
'must be acknowledged that the choice of tow length in sampling populations whose ',...
'numbers fluctuate widely over time and from place to place, remains somewhat ',...
'subjective as a practical matter,',...
'At the shallower stations in the Bay, a single oblique tow took less time than ',...
'the established four minute minimum, so the net was lowered away each time it ',...
'reached the surface and the oblique tow repeated as many times as necessary. At the ',...
'deep stations, a single oblique haul took as much as seven minutes to complete.',...
'Wire angle with the weights and gear used averaged about 30o, and haulback ',...
'speed about 0.2 m/sec, At an average vessel speed of 2.5 kt (1.3 m/sec) net speed ',...
'through the water was about 2.9 kt (1.5 m/sec), at an angle of about 4o from the ',...
'horizontal. Wind and sea conditions undoubtedly led to substantial deviations from ',...
'these average values at times.',...
'Depth of gear was monitored electronically, with a pressure-activated ',...
'transducer mounted at the net, connected by wire to a deck readout.',...
'Flow-meters were mounted in the net mouth (see Appendix Fig. I), for use in ',...
'computing the quantity of water sampled in each tow.',...
'Following each tow, the nets were hoisted and washed down, and the sample ',...
'concentrated in a 505 micron sieve. When jellyfish (medusae or ctenophores) were ',...
'numerous, the catch was first rinsed through a 1/4 inch sieve: this relieved, but ',...
'hardly cured, one of the most frustrating problems encountered in the field. Samples ',...
'were preserved in quart jars, in a 10% buffered solution of formalin in seawater.',...
'  ',...
'  2.      Vertical distribution: Tucker net tows',...
'   In addition to the large survey of distribution and abundance of ',...
'ichthyoplankton within the Bay, studies of vertical distribution were carried out at ',...
'two locations: the ship channel at Brayton Point (upper Mt. Hope Bay), and beneath ',...
'the central span of the Jamestown Bridge (West Passage).',...
'A closing net, whose detailed description is given by Clarke (1969), is',...
'a modification of a design by Tucker (1951). Our net closely follows the principles ',...
'of construction given by Clarke, though its dimensions, mesh size, and opening and ',...
'closing mechanism are different, suiting it to inshore plankton work.',...
'Our Tucker net (Appendix Fig. 1) has a rectangular mouth, 1 m across on top ',...
'and bottom, and 1.4 m long on the sides, It is towed from a bridle attached to a bar ',...
'across the top of the net in such a way that no part of the net mouth is crossed by ');

Comments3 = sprintf('%s\n',...
'towing warp or bridle, The side panels of the net mouth rake back at 45o, the foot ',...
'being weighted with lead. The net is designed to present an effective mouth area of ',...
'1 m square under way. It is lowered, with its mouth closed, to the desired sampling ',...
'depth. Then a messenger sent down the towing warp trips a release to open it. After ',...
'fishing at depth, a second messenger sent down closes the net, which is recovered, ',...
'The mesh size is 0.505 mm, and the overall length of the net is 5 m.',...
'At Brayton Point, sampling was carried out from surface to bottom at 10 ft (3 ',...
'm) intervals; at the Jamestown Bridge, where the water is deeper, depth intervals ',...
'were 15 ft (4.6 m).',...
'  ',...
'  3.      Hydrography',...
'    Temperature and salinity were routinely measured during the survey. Temperatures ',...
'at each station were recorded from remote-reading thermistors at the surface, 5 ft, ',...
'10 ft, 15 ft, 20 ft, 30 ft, 40 ft, 60 ft, and 100 ft (when stations were deep enough), ',...
'and at the bottom.  Salinities were taken at selected stations: No. 107 (Sector 1); ',...
'Nos. 47, 51, and 53 (Sector 2); Nos. 2, 4, 5, and 13 (Sector 3); Nos. 114 and 124 ',...
'(Sector 4); No. 65 (Sector 5); Nos. 20 and 23 (Sector 6); Nos. 137, 139, 140, and ',...
'143 (Sector 7); No. 90 (Sector 8); No. 33 (Sector 9), and at Stations 43, 99, 102 and ',...
'154 (Sector 10). Salinities were measured with a',...
'conductivity probe at the surface, 5 ft, 10 ft, 15 ft, 30 ft, and at the bottom. The ',...
'instruments used malfunctioned quite frequently, so that the data do not permit a ',...
'detailed picture to be drawn of the distribution of temperature and salinity during ',...
'the survey period. They are adequate, however, for describing seasonal and ',...
'latitudinal changes within the Bay, and for this purpose, the data for Sectors 1-3 ',...
'(the northern tier), 4-6 (middle tier) and 7-9 (southern tip) have been pooled and ',...
'averages taken. Similarly, data have been averaged for Sector 10.',...
'Because surface temperatures may vary considerably over a day, depending on ',...
'wind and sun, 10 ft (3 m) temperatures have been used in these calculations.',...
'  ',...
'  4.      Laboratory analysis',...
'    Fish eggs and larvae in a sample were either counted completely, or sub-',...
'sampled when dominant species were so abundant that complete counting was ',...
'unnecessary, in order to give the required level of confidence.',...
'Sub-samples were taken using a plankton "splitter".',...
'Samples to be counted were poured, a little at a time, into special trays which ',...
'permitted systematic inspection of the sample in such a way that there was little risk ',...
'of missing specimens, or counting any twice.',...
'Specimens ordinarily were not removed from the sample, but simply tallied, ',...
'according to species, on multiple tally counters. Rare or unknown specimens were ',...
'removed for further study, and kept together with representatives of all species of ',...
'fish eggs and larvae taken during the survey, in a reference collection.',...
'Counts for each sample, together with the corresponding flowmeter reading ',...
'and other particulars from the field log sheets, were coded for machine processing, ',...
'resulting in tabulations, in systematic order, of population densities expressed in ',...
'numbers per 100 m3, for each station and sampling period. These tabulations have ',...
'been issued as part of the regular quarterly reports (MRI, 1972b, 1973 a-d, 1974a) ',...
'and are the basis of the summary tables included in this report.',...
'  ');

Comments4 = sprintf('%s\n',...
'Summary:',...
'  ',...
'  A. The two main objectives of the survey were, first, to determine whether ichthyoplankton ',...
'populations in Mt. Hope Bay and West Passage differed appreciably from populations elsewhere ',...
'in Narragansett Bay, and second, to compare results of sampling from two successive summers. ',...
'The following conclusions are drawn:',...
'  ',...
'     1) Populations in Sector 3 (Upper Mt. Hope Bay) and Sector 7 (West Passage) are neither ',...
'exceptionally low nor high in numbers. The mean density, weighted by sector volume, for 22 ',...
'categories of ichthyoplankton (taken from Table 2) represented 11% of the Bay''s total ',...
'contribution (Sectors 1-9) in the case of Sector 3, and 7.6% in the case of Sector 7 (see also, ',...
'Relative Abundance of Sector Populations).',...
'     2) For many ichthyoplankton species, such as menhaden, weakfish, and the labrid fishes, ',...
'variation between the summers of 1972 and 1973 was large, in several cases exceeding 100% for ',...
'a particular sector and species. Except for anchovies, the trend was generally downward in 1973 ',...
'(see Annual Variation).',...
'     3) Various species appear to favor particular regions of the Bay for spawning. Anchovies, ',...
'for example, spawn mainly in the western part, and menhaden in the northern part of the Bay, ',...
'while winter flounder larvae are plentiful in shoal water in or near coves and small bays (see ',...
'Table 3 and Figs. 4-7, and l1).',...
'     4) Certain prime spawning areas are highly polluted, for example the Providence River ',...
'(Sector 2) and Upper Mt. Hope Bay (Sector 3).',...
'  ',...
'  B. Species composition and diversity.',...
'     1) Eggs or larvae of 44 taxa, belonging to 28 families, were identified from the ichthyo-',...
'plankton collections (more than 44 species were in fact taken, since in a few cases specimens ',...
'were not identified beyond the generic level).',...
'     2) Seven species of eggs, and six of larvae, accounted respectively for about 95% of the ',...
'total ichthyoplankton. Anchovy and menhaden larvae alone made up about 80% of the 1973 larval ',...
'catch.',...
'     3) Species diversity was greater in the southern part of the Bay than near its headwaters. ',...
'The relative dominance of a few species in the upper Bay may to some extent reflect polluted ',...
'conditions there, but this pattern is characteristic of unpolluted estuaries as well.',...
'     4) Species composition is similar to that of the nearby Sounds, with a few exceptions.',...
'     5) Ichthyoplankton populations do not appear to have changed significantly in the Bay since ',...
'they were last sampled by a small-scale survey in 1958 (Herman, 1963), based on comparative numbers ',...
'and species composition of fish eggs sampled (this is not known for larvae; see Quantitative Results).',...
'   ',...
'  C. Statistical analyses of the survey data and the results of certain special experiments permit ',...
'certain conclusions:',...
'     1) The number of stations and the sampling procedures used in the survey yielded the following',... 
'confidence limits for estimates of sector population density:',...
'   ');

Comments5 = sprintf('%s\n',...
'        63 to 164% of the mean for eggs (mainly labrid)',...
'   ',...
'        74 to 136% of the mean for larvae (daytime; mainly anchovy)',...
'   ',...
'        83 to 121% of the mean for larvae (night; mainly anchovy)',...
'   ',...
'        These percentages are based on results of the day/night sampling experiments at 21 stations, ',...
'July 1973.',...
'     2) Catches of larvae (mainly anchovies) during the day/night sampling experiments indicated ',...
'that four times as many stations needed to be taken in the daytime as at night, to yield a given ',...
'level of accuracy, Extra costs and other problems of night sampling must be considered, however, ',...
'in applying these results to future survey design,',...
'     3) Contrary to findings from various earlier surveys, night catches of larvae were not ',...
'consistently larger than day catches, though anchovy larvae did appear to be generally more abundant ',...
'at night during the day/night series.',...
'     4) Fish eggs were adequately sampled by either a conventional meter or a bongo net, but larvae ',...
'were caught more effectively by the latter.',...
'     5) The number of stations and frequency of sampling was usually sufficient to show population ',...
'differences from year to year, and between sectors, but confidence intervals varied considerably for ',...
'different sectors and species (see Figs. 98-106). Analysis of the data showed that appreciably fewer ',...
'daytime stations would result in unacceptably large sampling error in many sectors.  Where additional ',...
'stations would have been required to discriminate between sector populations, the number often would ',...
'have been so large as to be impractical.',...
'  ',...
'  D. Stratified tows with a closing net indicated that, on the average over the 1973 spawning ',...
'season, about three-fourths of the fish eggs and larvae sampled were caught in the upper half of the ',...
'water column in the Brayton Point ship channel. This information may be useful in minimizing ',...
'entrainment, but vertical distribution of some species does not at times conform to this average ',...
'pattern.',...
'  ',...
'  E. The distribution of ichthyoplankton (e.g., mackerel eggs) may be useful in mapping the ',...
'circulation of the Bay.',...
'  ',...
'Distribution_Liability:',...
'  No warranty expressed or implied is made regarding the accuracy or utility of the data ',...
'or for general or scientific purposes, nor shall the act of distribution constitute any ',...
'such warranty. This disclaimer applies both to the individual use of the data and aggregate',...
'use with other data. It is strongly recommended that these data are directly acquired from ',...
'the principal contact, and not indirectly through other = sources which may have changed ',...
'the data in some way. It is also strongly recommended that careful attention be paid to the ',...
'contents of the metadata file associated with these data. The University of Rhode Island, ',...
'Graduate School of Oceanography, RI DEM and the National Estuarine Research Reserve shall ',...
'not be held liable for improper or incorrect use of the data described and/or contained herein.',...
'    ');

Comments6 = sprintf('%s\n',...
    '    ',...
    '    Time_Period_of_Content = ', ...
    '         Beginning_Date: June, 1972 (1972.41530)', ...
    '         Ending_Date:    August, 1973 (1973.66575342)', ...
    '    Spatial_Domain = ', ... 
    '         Bounding Coordinates: ', ...
    '              West Bounding Coordinate:  70.783333 W ', ...
    '              East Bounding Coordinate:  70.571667 W ', ...
    '              South Bounding Coordinate: 41.426667 N ', ...
    '              North Bounding Coordinate: 41.814722 ', ...
    '   ', ...
    '    Point_of_Contact (Data Provision) = ', ...
    '         Address - metadata: ', ...
    '              Susan C. Adamowicz',...
    '              URI/GSO',...
    '              South Ferry Rd.',...
    '              Narragansett, RI 02882 ',...
    '              USA',...
    '              Electronic Mail Address:INTERNET > scadam@gso.uri.edu',...
    '         Address - metadata: ', ...
    '              Virginia Lee',...
    '              Associate Costal Resources Manager',...
    '              108B Marine Resources Bldg',...
    '              Coastal Resources Center',...
    '              220 South Ferry Rd.',...
    '              Narragansett, RI 02882 ',...
    '              USA',...
    '              Electronic Mail Address:INTERNET > vlee@gso.uri.edu',...
    '         Address - dods: ',...
    '              Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments2 Comments3 Comments4 Comments5 Comments6];


% $Log: focusnb.m,v $
% Revision 1.1  2002/04/15 20:03:58  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.2  2000/12/21 16:40:16  kwoklin
% Add Catvars, Catselc, Catstr and uncommand Time/Lon/Lat names for
% compatibility with loaddods w/o -A option.  If the option is used,
% Catxxx should be commanded out.                              klee
%
% Revision 1.1  2000/12/05 18:04:02  kwoklin
% First toolbox internal release.  klee
