function [geostr,servers,tmplats,tmplons,urlinfolist] = focusnbg...
         (str,getarchive,getranges,getmode,getvars,urlinfolist,varargin)

%
%  Convert geoinfo for focusnb data set
%

% The preceding empty line is important
% $Id: focusnbg.m,v 1.1 2002/04/15 20:03:58 dan Exp $
% klee 

% initialization
geostr = [];  servers = []; tmplats = []; tmplons = [];

if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

% Names
varname = urlinfolist(1).var_name;
xdimname = deblank(varname(1,:));
ydimname = deblank(varname(2,:));

% starttoend
starttoend = 0;  alllon = 0;  alllat = 0;
if (getranges(1,1) <= LonRange(1) & getranges(1,2) >= LonRange(2))
  alllon = 1;
end
if (getranges(2,1) <= LatRange(1) & getranges(2,2) >= LatRange(2))
  alllat = 1;
end
if alllon & alllat,  starttoend = 1;  end

% servers
baseservers = [];
baseservers = [urlinfolist(1).server_info];

if strcmp(str, 'url')
  % need to assign geo string as spaces to match time string
  ce = [];
  if ~isempty(baseservers)
    for i = 1:size(baseservers,1)
      ce = strvcat(ce, '   ');
    end
  end
  geostr = ce;
  servers = baseservers;

  % cal avg lat/lon for displaying in the gui
  noofmonth = 1;
  noofserver = size(urlinfolist(1).xdim_info,1);
  noofmonth = size(urlinfolist(6).time_info,1)/noofserver;
  for i = 1:noofserver
    for j = 1:noofmonth
      tmplats(noofmonth*(i-1)+j) = (urlinfolist(1).ydim_info(i) + ...
                             urlinfolist(2).ydim_info(i)) / 2;
      tmplons(noofmonth*(i-1)+j) = (urlinfolist(1).xdim_info(i) + ...
                             urlinfolist(2).xdim_info(i)) / 2;
    end
  end

  % multiply xdim_info and ydim_info too
  urlinfolist(1).xdim_info = tmplons;
  urlinfolist(1).ydim_info = tmplats;

  % set up info msg
  msg = ['Each sector occupies an area. The latitude/longitude point(s) '...
         'shown on the browser is the central point of each sector. '...
	 'For more information of each sector, please refer to the '...
	 'metadata of this data set. '];
  dodsmsg(msg);
  msg = sprintf('%s\n\n%s\n\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n\n%s',...
                 ['The plus sign on the browser map marks the center position of ',...
                  'each sector.'],...
                 ['The sector number corresponds to the sectors code ',...
                  'in NBDS system is as the following:'],...
                 ['sector 1  -> GB,  Greenwich Bay'],...
                 ['sector 2  -> UNB, Upper Narragansett Bay'],...
                 ['sector 3  -> MHB, Mt. Hope Bay'],...
                 ['sector 4  -> UWP, Upper West Passage'],...
                 ['sector 5  -> UEP, Upper East Passage'],...
                 ['sector 6  -> SAK, Sakonnet River'],...
                 ['sector 7  -> LWP, Lower West Passage'],...
                 ['sector 8  -> LEP, Lower East Passage'],...
                 ['sector 9  -> SAK, Sakonnet River'],...
                 ['sector 10 -> RIS, RI Sound'],...
                 ['For more geographical information, please look up the ',...
                  'Metadata Point of Contact']);
  urlinfolist(1).infotext = msg;

elseif strcmp(str, 'data')
  % This is a work around -- for the sake of customization!
  %     At this point there are only baseserver urls based on locations, 
  %         but we need to multiple them based on months that we request.
  ce = [];
  if ~isempty(baseservers)
    for i = 1:size(baseservers,1)
      ce = strvcat(ce, '   ');
    end
  end
  geostr = ce;
  servers = baseservers;

end

return


% $Log: focusnbg.m,v $
% Revision 1.1  2002/04/15 20:03:58  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.1  2000/12/05 18:04:02  kwoklin
% First toolbox internal release.  klee
%
%
