function [timestr,servers,tmptimes,urlinfolist] = focusnbt(str,getarchive,...
                  getranges,getmode,getvars,urlinfolist,varargin)

%
%  Convert timeinfo for focusnb data set
%

% The preceding empty line is important
% $Id: focusnbt.m,v 1.1 2002/04/15 20:03:58 dan Exp $
% klee

% initialization
timestr = [];  servers = []; tmptimes = [];  

if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

% get server list
baseservers = [];
baseservers = urlinfolist(1).server_info;

if strcmp(str, 'url') 
  % monthly 
  tmpt = [];  tmppasst = [];  
  [tmpt, tmppasst] = monthly(TimeRange, getranges); 
  noofmonth = length(tmpt);

  ce = [];
  if ~isempty(baseservers)
    for i = 1:size(baseservers,1)
      for j = 1:noofmonth
        ce = strvcat(ce, '   ');
        servers = strvcat(servers, baseservers(i,:));
        % hold months info here to since this info is repeatly needed later on
        urlinfolist(6).time_info((i-1)*noofmonth+j,1) = tmppasst(j,1);
        urlinfolist(6).time_info((i-1)*noofmonth+j,2) = tmppasst(j,2);
      end
    end
  end
  timestr = ce;
  urlinfolist(1).server_info = servers;
  urlinfolist(1).baseserver_info = servers;
  tmptimes = tmpt;

  % to fool cat function from calling url in get_cat stage
  %     since we don't need that infomation right now
  urlinfolist(1).returned_var = [];

elseif strcmp(str, 'data')
  tmppasst = [];
  tmppasst(:,1) = urlinfolist(6).time_info(:,1);
  tmppasst(:,2) = urlinfolist(6).time_info(:,2);

  % construct url strings
  ce = [];
  if ~isempty(baseservers) & ~isempty(tmppasst)
    for i = 1:size(baseservers,1)
      month = d2date(tmppasst(i,1),tmppasst(i,2));
      ce = strvcat(ce, ['&year=',num2str(tmppasst(i,1)),...
                        '&month=',num2str(month)]);
      servers = strvcat(servers, baseservers(i,:));
    end
  end
  timestr = ce;

  % reassign returned_var back
  urlinfolist(1).returned_var = [',year,month'];
  urlinfolist(1).tmp_var_info = [nan,nan,nan,nan,nan,nan,nan,...
                                 0,0,nan,nan,nan,nan,nan,nan,nan,nan];

end

return  

% $Log: focusnbt.m,v $
% Revision 1.1  2002/04/15 20:03:58  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.1  2000/12/05 18:04:02  kwoklin
% First toolbox internal release.  klee
%
%
