%
%  GLOBEC Hourly Averages of RDI Broadband 150 kHz ADCP Data

%
% $Id: gbadcphr.m,v 1.1 2002/04/15 20:04:57 dan Exp $
% klee 09/2000
% klee 04/1999

GetFunctionName = 'getjgsta';
CatalogServer = 'http://dods.gso.uri.edu/cgi-bin/nph-ff/catalog/gbadcphr.dat';
Cat_m_File = 'gbcat';
URL_m_File = 'gburl';
Catvars = str2mat('DODS_URL','DODS_Min_Latitude','DODS_Max_Latitude','DODS_Min_Longitude','DODS_Max_Longitude','DODS_Min_Depth','DODS_Max_Depth');
Catselc = str2mat('date_range');
Catstr = 'jgofs';

LonRange = [-68.00 -67.25];
LatRange = [40.8 41.2];
TimeRange = [1995.318 1995.45319636];
DepthRange = [7.95 64.98];
Resolution = nan;

DataName = 'ADCP -- Seward Johnson 150 kHz ADCP Hourly Averages -- URI/GLOBEC';    
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = 'yrday0_gmt';         
DepthName = 'depth';
DepthUnits = 'dbar';
DodsName = str2mat('u','v');
SelectableVariables = str2mat('U_Current','V_Current');
OptionalVariables = nan;

%correspond to [t,x,y,d,...]
DataScale = [1995 1/365; nan nan; nan nan; nan nan; nan nan; nan nan];

Acknowledge = '';
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                       Hourly Averages of RDI Broadband 150 kHz ADCP Data      ',...
'   ',...
'                   Parameter         Description                     Units',...
'                 ----------------------------------------------------------',...
'   ',...
'                   pressure                                          dbar',...
'                   U                                                 cm/s east positive',...
'                   V                                                 cm/s north positive',...
'  ',...
' Hourly averages of RDI broadband 150 kHz ADCP. ',...
'  ',...
' Shallow site SJ9506, 41.13 N 67.75 W, 4/27/95 - 4/28/95 ',...
' Deep site SJ9506, 40.87 N 67.55 W, 4/28/95 - 5/1/95.',...
' Shallow site SJ9508, 41.13 N 67.75 W, 6/9/95 - 6/10/95.',...
' Deep site SJ9508, 41.13 N 67.75 W, 6/10/95 - 6/15/95.');

Comments2 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Apr. 26, 1995 (1995.31837899) ', ...
'         Ending_Date:    Jun. 10, 1995 (1995.45319636)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 67.75 W ', ...
'              East Bounding Coordinate: 67.50 W ', ...
'              South Bounding Coordinate: 40.86 N ', ...
'              North Bounding Coordinate: 41.13 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Dave Hebert', ...
'               Graduate School of Oceanography',...
'               Univ. of Rhode Island',...
'               Narragansett, RI 02882-1197',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > hebert@micmac.gso.uri.edu',...
'               FAX: 401-874-6728',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments2];


% $Log: gbadcphr.m,v $
% Revision 1.1  2002/04/15 20:04:57  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.2  2000/12/21 16:40:16  kwoklin
% Add Catvars, Catselc, Catstr and uncommand Time/Lon/Lat names for
% compatibility with loaddods w/o -A option.  If the option is used,
% Catxxx should be commanded out.                              klee
%
% Revision 1.1  2000/09/28 04:30:01  kwoklin
% First toolbox internal release.   klee
