%
%  GLOBEC ALBATROSS IV Shipboard Data

% The preceding empty line is important
% $Id: gbalss.m,v 1.1 2002/04/15 20:04:57 dan Exp $
% klee 08/2000
% klee 04/1999

GetFunctionName = 'getjgsta';
Server = 'http://dods.gso.uri.edu/cgi-bin/nph-jg/alss';  
Cat_m_File = 'gbcat';
URL_m_File = 'gburl';

LonRange = [-70.7 -65.5];
LatRange = [40.2 42.42];
TimeRange = [1995.35465753 1999.48127855];
DepthRange = [0 0];
Resolution = nan;

DodsName = str2mat('airtemp','ss5temp','sal','fluoro','ewind','nwind');
DataName = 'AlongTrack -- ALBATROSS IV Alongtrack sensor -- NMFS/GLOBEC ';    
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = str2mat('year','','','yrday1_local','','','','','','');         
DepthName = '';
DepthUnits = '';
SelectableVariables = str2mat('Air_Temp','Sea_Temp','Salinity','Fluorescence','U_Wind','V_Wind');
OptionalVariables = nan;

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                            ALBATROSS IV Alongtrack sensor Data      ',...
'   ',...
'                   Parameter         Description                         Units',...
'                 ---------------------------------------------------------------',...
'   ',...
'                   gyd               GMT yearday                         fractional yearday',...
'                   lat               latitude                            decimal degrees',...
'                   lon               longitude                           decimal degrees',...
'                   airtemp           air temp                            degrees C',...
'                   ss5temp           hull mounted temp (5m)              degress C',...
'                   sal               surface salinity                    PPT',...
'                   fluoro            fluorescence                        volts',...
'                   ewind             eastward wind (corrected)           nauts',...
'                   nwind             nthward wind (corrected)            nauts',...
'  ',...
' Cleaned and merged to 1 minute intervals (see Jim Manning for details)',...
'  ',...
' The user should be aware of the availability of the unmerged',...
' "raw" data at http://www.wh.whoi.edu/~albscs (for Albatross data) if they want the',...
' actual data which, for some sensors/variables, was recorded as frequent as every 5',...
' seconds and by more than one instrument. Contact Jim Manning for authorization to',...
' access these data.',...
'  ',...
' We all understand this data (shipboard temp, salt, wind, etc.) should be treated as',...
' uncalibrated records and should not be used other than exploratory purposes.');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: May. 09, 1995 (1995.35465753) ', ...
'         Ending_Date:    Jun. 25, 1999 (1999.48127855)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 70.6764 W ', ...
'              East Bounding Coordinate: 65.6082 W ', ...
'              South Bounding Coordinate: 40.2620 N ', ...
'              North Bounding Coordinate: 42.3939 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               James Manning', ...
'               NMFS',...
'               Woods Hole, MA 02543',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > jmanning@whsun1.wh.whoi.edu',...
'               FAX: 508-495-2258',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];


% $Log: gbalss.m,v $
% Revision 1.1  2002/04/15 20:04:57  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.2  2000/12/21 16:40:16  kwoklin
% Add Catvars, Catselc, Catstr and uncommand Time/Lon/Lat names for
% compatibility with loaddods w/o -A option.  If the option is used,
% Catxxx should be commanded out.                              klee
%
% Revision 1.1  2000/09/19 20:50:41  kwoklin
% First toolbox internal release.   klee
