function [geostr,servers,tmplats,tmplons,urlinfolist] = gbbdctdtestg...
         (str,getarchive,getranges,getmode,getvars,urlinfolist,varargin)

%
%  Convert geoinfo for gbbdctd data set  --  test version
%

% The preceding empty line is important
% $Id: gbbdctdtestg.m,v 1.1 2002/04/15 20:04:57 dan Exp $
% klee 12/18/2000

% initialization
geostr = [];  servers = []; tmplats = []; tmplons = [];

if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

% Names
varname = urlinfolist(1).var_name;
xdimname = deblank(varname(1,:));
ydimname = deblank(varname(2,:));

% starttoend
starttoend = 0;  alllon = 0;  alllat = 0;
if (getranges(1,1) <= LonRange(1) & getranges(1,2) >= LonRange(2))
  alllon = 1;
end
if (getranges(2,1) <= LatRange(1) & getranges(2,2) >= LatRange(2))
  alllat = 1;
end
if alllon & alllat,  starttoend = 1;  end

% servers
baseservers = [];
baseservers = [urlinfolist(1).server_info];

if strcmp(str, 'url')
  ce = [];
  if ~isempty(baseservers)
    for i = 1:size(baseservers,1)
      if starttoend
        ce = strvcat(ce, '   ');
      else
        if alllon & ~alllat
          ce = strvcat(ce, ['&lat>=',num2str(getranges(2,1)), ...
			    '&lat<=',num2str(getranges(2,2))]);
        elseif ~alllon & alllat
          ce = strvcat(ce, ['&lon>=',num2str(getranges(1,1)), ...
			    '&lon<=',num2str(getranges(1,2))]);
        elseif ~alllon & ~alllat
          ce = strvcat(ce, ['&lat>=',num2str(getranges(2,1)), ...
			    '&lat<=',num2str(getranges(2,2)), ...
                            '&lon>=',num2str(getranges(1,1)), ...
			    '&lon<=',num2str(getranges(1,2))]);
        end
      end
      servers = strvcat(servers, baseservers(i,:));
    end
  end
  geostr = ce;

  % calc avg lat/lon for displaying in the gui
  tmplats = [];  tmplons = [];
  noofserver = size(urlinfolist(1).xdim_info,1);
  for i = 1:noofserver
    tmplats = [tmplats; (urlinfolist(1).ydim_info(i) + ...
               urlinfolist(2).ydim_info(i))/2];
    tmplons = [tmplons; (urlinfolist(1).xdim_info(i) + ...
               urlinfolist(2).xdim_info(i))/2];
  end

  % multiply xdim_info and ydim_info too
  urlinfolist(1).xdim_info = tmplons;
  urlinfolist(1).ydim_info = tmplats;

  % set up info msg
  msg = ['Each event occupies an area. The latitude/longitude point(s) '...
         'shown on the browser is the central point of each event.'];
  dodsmsg(msg);

elseif strcmp(str, 'data')
  servers = baseservers;
end

return


% $Log: gbbdctdtestg.m,v $
% Revision 1.1  2002/04/15 20:04:57  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.1  2000/12/19 16:35:06  kwoklin
% Test version of gbbdctd for 1),  using cell array for DataNull;
%                             2),  disable loaddods -A option;
%                             3),  use more detailed catalog;    klee
%
