%
%  BIO/Globec Moored Current Meter Data

%
% $Id: gbmcm.m,v 1.1 2002/04/15 20:04:57 dan Exp $
% klee 08/2000
% klee 03/1999

GetFunctionName = 'getjgsta';
CatalogServer = 'http://dods.gso.uri.edu/cgi-bin/nph-ff/catalog/gbmcm.dat'; 
Cat_m_File = 'gbcat';
URL_m_File = 'gburl';
Catvars = str2mat('DODS_URL','DODS_Min_Latitude','DODS_Max_Latitude','DODS_Min_Longitude','DODS_Max_Longitude','DODS_Min_Depth','DODS_Max_Depth');
Catselc = str2mat('date_range');
Catstr = 'jgofs';
%Inven_Infostr = str2mat('yrday_utc');
%Inven_Infonum = 4;
%urlinfolist(2).infotext = ['The data set is sampling at approximately every 1 hr. Please note that there will not be any asterisks shown up on the time-line of the browser, but there is still some data available for the time period.'];

LonRange = [-66.70 -65.40];
LatRange = [41.00 43.06];
TimeRange = [1993.7 1999.8];
DepthRange = [10 196];
Resolution = nan;

DataName = 'Water Column - Moored Current Meter Data: Eastern Gulf of Maine/Scotian Shelf - BIO/GLOBEC';
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = str2mat('','','','yrday_utc','','','','','','');         
DepthName = str2mat('depth','','','','');
DepthUnits = 'Meters';
DodsName = str2mat('temp','sal','curr_dir_abs','curr_speed_abs');
SelectableVariables = str2mat('Sea_Temp','Salinity','Current_Dir',...
                              'Current_Speed');
OptionalVariables = str2mat('sounding');
SelectableOptional = str2mat('Sounding');

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                    Moored Current Meter Data from Eastern Gulf of Maine/Scotian Shelf           ',...
'   ',...
'                   Parameter         Description                    Units',...
'                 ----------------------------------------------------------',...
'                   day               Julian Day                     fractional day',...
'                   temp              Temperature                    degrees C',...
'                   sal               Salinity                       nd',...
'                   curr_dir_abs      Direction                      degrees True',...
'                   curr_speed_abs    Speed                          cm/s',...
'   ',...
' INSTRUMENT_HEADER,',...
'     MODEL = RCM-8 ',...
'   ',...
' ');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Oct. 12, 1993 (1993.7831055)', ...
'         Ending_Date:    Nov. 28, 1996 (1996.7476027)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 66.5383 W ', ...
'              East Bounding Coordinate: 65.7793 W ', ...
'              South Bounding Coordinate: 41.7335 N ', ...
'              North Bounding Coordinate: 43.0455 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Peter C. Smith', ...
'               Coastal Ocean Science, OSD',...
'               Bedford Institute of Oceanography',...
'               P.O. Box 1006', ...
'               Dartmouth, N.S. B2Y 4A2',...
'               CANADA',...
'               Electronic Mail Address:INTERNET > smithpc@mar.dfo-mpo.gc.ca',...
'               FAX: 902-426-7827 ',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];


% $Log: gbmcm.m,v $
% Revision 1.1  2002/04/15 20:04:57  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.3  2000/12/29 00:43:44  kwoklin
% Add Inven_Infostr and Inven_Infonum for jgofs inventory optimization.  klee
%
% Revision 1.2  2000/12/21 16:40:16  kwoklin
% Add Catvars, Catselc, Catstr and uncommand Time/Lon/Lat names for
% compatibility with loaddods w/o -A option.  If the option is used,
% Catxxx should be commanded out.                              klee
%
% Revision 1.1  2000/09/19 20:50:41  kwoklin
% First toolbox internal release.   klee
