function [urllist,urlinfolist] = gburl ...
    (getarchive, getranges, getmode, whichvars, urlinfolist)
%
%    This function is supposed to be a generic geturl function
%        to build getdata url string
%

% The preceding empty line is important

% $Id: gburl.m,v 1.1 2002/04/15 20:00:15 dan Exp $
% klee 

if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

% initialization
urllist = [];  baseurllist = []; varname = [];  varbool = []; servers = [];
geostr = []; depthstr = []; timestr = []; servers = [];
tmplats = []; tmplons = []; tmpdepths = []; tmptimes = [];
returned_str = [];   seqreturned_str = [];  % the selection str
returned_var_info = [];  
qmark = [];  amark = [];  serverqmark = [];
varargin = [];

% if DodsName and SelectableVariables has one to one correspondence?
%     if not, most of the time it should be passed to info_file, but in case 
%     info_file is not constructed, should promise there's still a simple way out!
n = 0; dvars = [];  svars = [];  whichn = [];  osize = [];
dsize = size(DodsName,1);  ssize = size(SelectableVariables,1);
if exist('OptionalVariables'),  
  osize = size(OptionalVariables,1);
end
% ReturnedVarInfo_File returns necessary information about how to construct
%     returned vars based on SelectableVariables
%     either it gets info from das, or from manual entry into the table
%     returned_var_info is a table-like struct contains corrspondence between
%         DodsName and SelectableVariables, such as 
%         *****************************************************
%         Sea_Temp    temp              some servers           
%         Sea_Temp    temperature       some other servers     
%         Salinity    sal               all servers            
%         *****************************************************
%         or,
%         ************************
%         Trace_Element   Umbrella
%         ************************
if exist('ReturnedVarInfo_File') == 1
  if exist(ReturnedVarInfo_File) == 2
    eval(['[returned_var_info] = ',ReturnedVarInfo_File,'(getarchive,'...
	  'getranges,getmode,whichvars,urlinfolist);']);
  end
elseif mod(dsize,ssize) == 0
  % assume it has one to n correspondence
  n = dsize/ssize;
  urlinfolist(2).var_info = n;
  % get the selectablevariables and dodsname out
  svars = SelectableVariables(whichvars,:);
  if n == 1
    dvars = DodsName(whichvars,:);
  elseif n > 1
    % we also need to know which n is selected
    % Require there's a catalog server, and for each n there's an entry
    %     in the catalog file.
    whichn = urlinfolist(2).server_info;
    if ~isempty(whichn)
      for i = 1:length(whichvars)
	dvars = strvcat(dvars, DodsName(n*(whichvars(i)-1)+whichn,:));
      end
    else
      msg = ['Server Info (urlinfolist(2).server_info) is not complete. '...
	    'Which_server info is needed for data set with n ',...
	    'DodsName/SelectableVariable ratio. See ''getcat.m'' and ',...
	    '''gburl'' for more infomation. '];
      dodsmsg(msg);
    end
  end     
end

keep = urlinfolist(1).keep_info;
baseurllist = urlinfolist(1).url_info;
servers = urlinfolist(1).server_info;
baseurllist = baseurllist(find(keep),:);
servers = servers(find(keep),:);
issequence = urlinfolist(1).issequence;
% first, for some extra holders
urlinfolist(5).time_info = [];  urlinfolist(7).zdim_info = [];
urlinfolist(3).xdim_info = [];  urlinfolist(3).ydim_info = [];
if isempty(baseurllist)
  dodsmsg('no urllist being constructed!');
  return
end  

% pass str in geo/depth/time order, is it a reasonable assumption?
if exist('GeoInfo_File') == 1
  if exist(GeoInfo_File) == 2
    eval(['[geostr,servers,tmplats,tmplons,urlinfolist] = ',GeoInfo_File,...
	  '(''data'',getarchive,getranges,getmode,whichvars,urlinfolist,' ...
	  'varargin);']);
  end
end
if exist('DepthInfo_File') == 1
  if exist(DepthInfo_File) == 2
    eval(['[depthstr,servers,tmpdepths,urlinfolist] = ',DepthInfo_File,...
	  '(''data'',getarchive,getranges,getmode,whichvars,urlinfolist,' ...
	  'varargin);']);
  end
end
if exist('TimeInfo_File') == 1
  if exist(TimeInfo_File) == 2
    eval(['[timestr,servers,tmptimes,urlinfolist] = ',TimeInfo_File,...
	  '(''data'',getarchive,getranges,getmode,whichvars,urlinfolist,', ...
	  'varargin);']);
  end
end

% construct returned vars and urls
if ~isempty(geostr) | ~isempty(depthstr) | ~isempty(timestr)
  % if any of these strings is returned from InfoFile ....
  %    Customization was done, the returned_str from xxxstr is a fully 
  %    constructed url expression, such as 'var[][] -r var:var_station1 '
  %        if there's any empty one, grap them from selection_info
  if isempty(timestr)
    timestr = urlinfolist(1).selection_info;
  end
  if isempty(geostr)
    geostr = urlinfolist(2).selection_info;
  end
  if isempty(depthstr)
    depthstr = urlinfolist(3).selection_info;
  end
  if isfield(urlinfolist, 'returned_var') 
    returned_var = [];  
    returned_var = urlinfolist(1).returned_var;
  end
  % Convert dvars into 1xN string for sequence data (so that j is equal
  %     to 1 in the following loop.  Umbrella is also considered.
  tmpdvars = [];
  if issequence
    if n == 1
      % Only n == 1 is considered since it is more likely that the 
      %     data set has a catalog server for multiple stations. 
      for k = 1:size(dvars,1)
	if strcmp(deblank(dvars(k,:)), 'Umbrella')
	  % pad the the whole sequence of UmbrellaVariables up
	  for j = 1:size(UmbrellaDods,1)
	    tmpdvars = [tmpdvars, deblank(UmbrellaDods(j,:)), ','];
	  end
	else
	  tmpdvars = [tmpdvars, deblank(dvars(k,:)), ','];
	end
      end
      dvars = tmpdvars(1:length(tmpdvars)-1);
    end
  end
  if ~isempty(servers)
    % Note that it's tricky here if the returned var is in multidimensions
    % Now, check if there's any ordering instruction stored in the 
    %     urlinfolist first
    varorder = [];
    defaultorder = str2mat('geostr','geostr','depthstr','timestr');
    if isfield(urlinfolist, 'varorder_info')
      varorder = urlinfolist(1).varorder_info;
    end
    for i = 1:size(servers,1)             % loop through servers 
      tmptmptmpstr = [];
      for j = 1:size(dvars,1)             % loop through DodsNames
	tmpstr = [];  tmptmpstr = [];
	if ~isempty(varorder)             % loop through x/y/z/t url strings
	  for k = 1:length(varorder)
	    tmpstr = eval(deblank(defaultorder(varorder(k),:)));
	    if ~isempty(tmpstr) & ~all(isspace(tmpstr(i,:)))
	      tmptmpstr = [tmptmpstr, deblank(tmpstr(i,:))];
	    end
	  end
	else
	  for k = 2:4
	    tmpstr = eval(deblank(defaultorder(k,:)));
	    if ~isempty(tmpstr) & ~all(isspace(tmpstr(i,:)))
	      tmptmpstr = [tmptmpstr, deblank(tmpstr(i,:))];
	    end
	  end
	end                               % end of x/y/z/t url str loop
	if ~issequence            
	  tmptmptmpstr = [tmptmptmpstr, [deblank(dvars(j,:)), ...
		  deblank(tmptmpstr), ',']];
	else
	  tmptmptmpstr = [tmptmptmpstr, deblank(dvars(j,:)), ','];
	end
      end                                 % end of DodsName loop
      if issequence
	% note that returned_str contains only the selection part
	seqreturned_str = tmptmptmpstr;
	%if isfield(urlinfolist, 'returned_var') 
	%  returned_var = [];
	%  returned_var = urlinfolist(1).returned_var;
	%end
	returned_str = strvcat(returned_str, ...
	    [tmptmptmpstr(1:length(tmptmptmpstr)-1), ...
	      returned_var, deblank(tmptmpstr)]);
      else
	if ~isempty(returned_var)
	  if size(returned_var,1) > 1
	    returned_str = strvcat(returned_str, ...
		[deblank(tmptmptmpstr(1:length(tmptmptmpstr)-1)),...
		  deblank(returned_var(i,:))]);
	  else
	    returned_str = strvcat(returned_str, ...
		[deblank(tmptmptmpstr(1:length(tmptmptmpstr)-1)),...
		  deblank(returned_var)]);
	  end
	else
	  returned_str = strvcat(returned_str, ...
	      [deblank(tmptmptmpstr(1:length(tmptmptmpstr)-1)),...
		deblank(returned_var)]);
	end
      end
    end                                   % end of servers loop
    if issequence
      for i = 1:size(servers,1)
	qmark = [];
	qmark = findstr(servers(i,:), '?');
	if ~isempty(qmark)
	  urllist = strvcat(urllist, [servers(i,1:qmark), ...
		deblank(returned_str(i,:)), '&', ...
		servers(i,qmark+1:length(deblank(servers(i,:))))]);
	else
	  urllist = strvcat(urllist, [deblank(servers(i,:)), '?', ...
		returned_str(i,:)]);
	end
      end
    else
      for i = 1:size(servers,1)
	urllist = strvcat(urllist, [deblank(servers(i,:)), '?', ...
	      returned_str(i,:)]);
      end
    end
  end
else
  if ~isempty(returned_var_info)
    dnames = str2mat(returned_var_info.dodsname);
    snames = str2mat(returned_var_info.selectname);
    % find the index of snames that matches whichvars
    [tmpsvars, index] = strisin(snames, svars, 'exact');
    if ~isempty(tmpsvars)
      dvars = dnames(index,:);
      % until here, for complex cases that two or more dodsnames map to a
      %     single selectablevariable, still need a way to find out which
      %     server uses which dodsnames
      %     one way is to set up an alias and loop through all possible 
      %         dodsnames to find out which one does not give an error back
      %     or, to have a lookup table to match each servers to the dodsname
      %         such as
      %         for i = 1:size(baseurllist,1)
      %           for j = 1:size([returned_var_info.servers],1)
      %             if strcmp(returned_var_info.servers,  baseurllist)
      %               returned_str = [servers, '?', dnames(j,:), 
      %                               all_other_vars, ce];
      %             end
      %           end
      %         end
      %
      % now, consider only one case, for DodsName = 'Umbrella' here
      for i = 1:size(dvars,1)
	tmpvar = dvars(i,:);
	tmpvar = dods_ddt(strrep(tmpvar,'%','_'));
	%tmpvar = dods_dbk(dvars,1);  % Way wrong
	returned_str = [returned_str, tmpvar, ','];
      end
    end
  else     
    for i = 1:size(dvars,1)
      if strcmp(deblank(dvars(i,:)), 'Umbrella')
	% pad the the whole sequence of UmbrellaVariables up
	for j = 1:size(UmbrellaVariables,1)
	  returned_str = [returned_str, deblank(UmbrellaDods(j,:)), ','];
	end
      else
	% One more ad hoc implementation; if n > 1, the dvars are unlikely
	%    to be combined in one url, instead of it is likely to be 
	%    seperated by servers, for one dvar in one server.
	if n > 1
	  returned_str = dvars;
	else
	  returned_str = [returned_str, deblank(dvars(i,:)), ',']; 
	end
      end
    end
  end      % end of if ~isempty(returned_var_info)
  
  if n == 1
    returned_str = returned_str(1:length(returned_str)-1);
    if exist('OptionalVariables')
      if ~isnan(OptionalVariables) & ~isempty(OptionalVariables)
	for i = 1:size(OptionalVariables,1)
	  returned_str = [returned_str, ',', ...
		deblank(OptionalVariables(i,:))];
	end
      end
    end
  elseif n > 1
    if exist('OptionalVariables')
      if ~isnan(OptionalVariables) & ~isempty(OptionalVariables)
	ovars = [];  tmpstr = [];
	if osize == dsize
	  for i = 1:length(whichvars)
	    ovars = strvcat(ovars, OptionalVariables(n*...
		(whichvars(i)-1)+whichn,:));
	  end
	  for i = 1:size(returned_str,1)
	    tmpstr = strvcat(tmpstr, [deblank(returned_str(i,:)), ...
		  ',', deblank(ovars(i,:))]);
	  end
	  returned_str = tmpstr;
	elseif osize < dsize
	  tmpstr = [];
	  for i = 1:size(returned_str,1)
	    for j = 1:size(OptionalVariables,1)
	      tmpstr = strvcat(tmpstr, [deblank(returned_str(i,:)), ...
		    ',', deblank(OptionalVariables(j,:))]);
	    end
	  end
	  returned_str = tmpstr;
	end
      end
    end
  end

  for i = 1:size(servers,1)
    % changed from (incorrect) use of dods_dbk to deblank. -- dbyrne
    tmpurl = deblank(baseurllist(i,:));
    qmark = findstr(tmpurl, '?');
    serverqmark = findstr(servers(i,:), '?');
    if ~isempty(qmark)
      if isempty(serverqmark)
	if n == 1
	  urllist = strvcat(urllist, [deblank(servers(i,:)),'?',...
		deblank(returned_str),',',tmpurl(qmark+1:length(tmpurl))]);
	elseif n > 1
	  urllist = strvcat(urllist, [deblank(servers(i,:)),'?',...
		deblank(returned_str(i,:)), ',', ...
		tmpurl(qmark+1:length(tmpurl))]);
	end
      else
	if n == 1
	  urllist = strvcat(urllist, [servers(i,1:serverqmark-1),'?',...
		deblank(returned_str),',',tmpurl(qmark+1:length(tmpurl))]);
	elseif n > 1
	  strvcat(urllist, [servers(i,1:serverqmark-1),'?',...
		deblank(returned_str(i,:)),',',...
		tmpurl(qmark+1:length(tmpurl))]);
	end
      end
    else
      % in case of starttoend == 1
      if isempty(serverqmark)
	if n == 1
	  urllist = strvcat(urllist, [deblank(servers(i,:)),'?',...
		deblank(returned_str)]);
	elseif n > 1
	  urllist = strvcat(urllist, [deblank(servers(i,:)),'?',...
		deblank(returned_str(i,:))]);
	end
      else
	if n == 1
	  urllist = strvcat(urllist, [servers(i,1:serversqmark-1),'?',...
		deblank(returned_str)]);
	elseif n > 1
	  urllist = strvcat(urllist, [servers(i,1:serversqmark-1),'?',...
		deblank(returned_str(i,:))]);
	end
      end
    end
  end
end    % end of ~isempty(geostr) | ~isempty(depthstr) | ~isempty(timestr)

if ~isempty(seqreturned_str)
  urlinfolist(2).returned_var = seqreturned_str;
else
  urlinfolist(2).returned_var = returned_str;
end

return

% $Log: gburl.m,v $
% Revision 1.1  2002/04/15 20:00:15  dan
% These data sets do not work, so I moved them to the BROKEN_DATASET directory.
%
% Revision 1.9  2001/01/18 18:52:55  dbyrne
%
%
% fixed some minor bugs, changed input/output args to include URLinfo.
% -- dbyrne 01/01/18
%
% Revision 1.8  2000/12/19 15:38:23  kwoklin
% Add deblank to tmpstr.  klee
%
% Revision 1.7  2000/12/13 21:14:25  dbyrne
%
%
% Fixed indenting.  -- dbyrne
%
% Revision 1.6  2000/12/06 19:11:47  kwoklin
% Wrap up Umbrella variable. Fix call error in gbcat.  klee
%
% Revision 1.5  2000/12/05 18:01:46  kwoklin
% Fix typos in epstruct, derefdat, gettstr and getjgsta.
% Fix returned argout6 to catserver in gbcat.
% Differentiate depth and heigth in getcat and getinfo.
% Add string building functionality in gburl for focus data set.  klee
%
% Revision 1.4  2000/11/15 15:49:01  kwoklin
% Clean up compatibility among usgsts and others.   klee
%
% Revision 1.3  2000/11/14 19:21:24  kwoklin
% Minor update for usgsts and nmfscur data sets.  klee
%
% Revision 1.2  2000/11/02 16:04:20  kwoklin
% Adding data reeval after returned from get_data call (mainly for frontal
% data sets). Modify gbcat and gburl accordingly (more ad hoc implementations).
% klee
%
% Revision 1.1  2000/09/19 20:50:41  kwoklin
% First toolbox internal release.   klee
%
