function [geostr,servers,tmplats,tmplons,urlinfolist] = geofront...
         (str,getarchive,getranges,getmode,getvars,urlinfolist,varargin)

%
%  Building url string and reeval final data returned for URI frontal data set
%

% The preceding empty line is important
% $Id: geofront.m,v 1.1 2002/04/15 20:04:58 dan Exp $
% klee

% initialization
geostr = [];  servers = []; tmplats = []; tmplons = [];
urlinfolist(3).var_info = 1;

if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

% Names
varname = urlinfolist(1).var_name;
xdimname = deblank(varname(1,:));
ydimname = deblank(varname(2,:));

% starttoend
starttoend = 0;  alllon = 0;  alllat = 0;
if (getranges(1,1) <= LonRange(1) & getranges(1,2) >= LonRange(2))
  alllon = 1;
end
if (getranges(2,1) <= LatRange(1) & getranges(2,2) >= LatRange(2))
  alllat = 1;
end
if alllon & alllat,  starttoend = 1;  end

% servers
baseservers = [];
baseservers = [urlinfolist.server_info];

if strcmp(str, 'url')
  % construct geostr and servers
  ce = []; 
  if ~isempty(baseservers)
    for i = 1:size(baseservers,1)
      if starttoend
        ce = strvcat(ce, '   ');
        servers = strvcat(servers, baseservers(i,:));
      else
        if ~alllon & ~alllat
          ce = strvcat(ce, ['&ixlat>=',num2str(getranges(2,1),6),'&inlat<=',... 
	                    num2str(getranges(2,2),6),'&ixlon>=',...
		            num2str(getranges(1,1),6),'&inlon<=',...
			    num2str(getranges(1,2),6)]);
        elseif alllon & ~alllat
          ce = strvcat(ce, ['&ixlat>=',num2str(getranges(2,1),6),'&inlat<=',... 
		    	    num2str(getranges(2,2),6)]);
        elseif ~alllon & alllat
          ce = strvcat(ce, ['&ixlon>=',num2str(getranges(1,1),6),'&inlon<=',...
		  	    num2str(getranges(1,2),6)]);
        end
        servers = strvcat(servers, baseservers(i,:));
      end
    end
  end
  geostr = ce;
  
  % change returned_var and varnames
  urlinfolist(1).returned_var = ['time'];
  urlinfolist(1).tmp_var_name = str2mat(str2mat(' ',' ',' ',' ',' ',' ',' '),...
                                str2mat(' ',' ',' ',' ',' ','time',' ',' ',' ',' '));
  urlinfolist(1).tmp_var_info = [nan,nan,nan,nan,nan,nan,nan,...
                                 nan,nan,nan,nan,nan,0,nan,nan,nan,nan];
  
elseif strcmp(str, 'data') 
  ce = [];
  if ~isempty(baseservers)
    if starttoend
      ce = strvcat(ce, '   ');
      servers = baseservers;
    else
      if ~alllon & ~alllat
        ce = strvcat(ce, ['&ixlat>=',num2str(getranges(2,1),6),'&inlat<=',... 
	                  num2str(getranges(2,2),6),'&ixlon>=',...
		          num2str(getranges(1,1),6),'&inlon<=',...
			  num2str(getranges(1,2),6),'&lat>=',...
                          num2str(getranges(2,1),6),'&lat<=',... 
                          num2str(getranges(2,2),6),'&lon>=',...
                          num2str(getranges(1,1),6),'&lon<=',...
			  num2str(getranges(1,2),6)]);
      elseif alllon & ~alllat
        ce = strvcat(ce, ['&ixlat>=',num2str(getranges(2,1),6),'&inlat<=',... 
			  num2str(getranges(2,2),6),'&lat>=',...
                          num2str(getranges(2,1),6),'&lat<=',... 
                          num2str(getranges(2,2),6)]);
      elseif ~alllon & alllat
        ce = strvcat(ce, ['&ixlon>=',num2str(getranges(1,1),6),'&inlon<=',...
			  num2str(getranges(1,2),6),'&lon>=',...
                          num2str(getranges(1,1),6),'&lon<=',...
			  num2str(getranges(1,2),6)]);
      end
      servers = baseservers;
    end
  end
  geostr = ce;

  % % change returned_var and varnames
  urlinfolist(1).returned_var = [',time,lat,lon'];
  urlinfolist(1).tmp_var_name = str2mat(str2mat('lon','lat',' ',' ',' ',' ',' '),...
                                str2mat(' ',' ',' ',' ',' ','time',' ',' ',' ',' '));
  urlinfolist(1).var_name = urlinfolist(1).tmp_var_name;
  urlinfolist(1).tmp_var_info = [0,0,nan,nan,nan,nan,nan,...
                                 nan,nan,nan,nan,nan,0,nan,nan,nan,nan];
  urlinfolist(1).var_info = urlinfolist(1).tmp_var_info;
elseif strcmp(str, 'value')
  newlons = []; newlats = []; newdepths = []; newtimes = [];
  tmpvar1 = []; tmpvar2 = []; tmpvar3 = [];
  newlons = varargin{1};
  newlats = varargin{2};
  newtimes = varargin{4};
  newtimes = newtimes.t1;
  newtmpvars = varargin{5};
  sizeofgetvar = size(fieldnames(newtmpvars),1);
  tmpvars1 = newtimes;
  for i = 2:sizeofgetvar+1
     eval(['tmpvars',num2str(i),' = newtmpvars.t', num2str(i-1), ';']);
  end

  tmptmpvar1 = []; tmptmpvar2 = []; tmptmpvar3 = [];
  if ~all(isnan(newlons)) & (-newlons(1) > 1e-10)
    latnpts = length(newlats);
    latnpts2 = floor(latnpts/2);
    coslat2 = cos(newlats(latnpts2) * pi / 180.0) ^ 2;
    difflat = diff(newlats);
    difflon = diff(newlons);
    dist = 111 * sqrt(difflat .* difflat + difflon .* difflon * coslat2);
    diffdist = diff(dist);
    brkpts = find(abs(diffdist) >= 3);
    if ~isempty(brkpts)
      k = brkpts(1);
      tmpbrkpts = brkpts;
      leg = length(newlons);
      len = length(brkpts);
      %%for i = 1:sizeofgetvar
      %%  eval(['tmptmpvar', num2str(i), ' = tmpvar', num2str(i), ';']);
      %%end
      for i = 1:len
        newlons = [newlons(1:k);nan;newlons(k+1:leg)];
        newlats = [newlats(1:k);nan;newlats(k+1:leg)];
        for n = 1:sizeofgetvar+1
          t = num2str(n);
          eval(['tmpvars',t,' = [tmpvars',t,'(1:k);nan;'...
                                'tmpvars',t,'(k+1:leg)];']);
        end
	tmpbrkpts = tmpbrkpts + 1;
        if i < len, k = tmpbrkpts(i+1);  end
	leg = leg + 1;
      end
    end
    urlinfolist(5).time_info = tmpvars1;
    for n = 2:sizeofgetvar+1
      %%t = num2str(n-1);
      eval(['urlinfolist(',num2str(n-1),').newvars = tmpvars',num2str(n),';']);
    end
  end

  tmplats = newlats;
  tmplons = newlons;

  % don't forget to modify the sizeofurl, since the size from get_data is 
  %      different than the size from get_detail (lat/lon instead of min/max
  %      lat/lon, plus nan as segment seperator)
  urlinfolist(1).sizeindex_info(1) = length(tmplats);
  urlinfolist(2).sizeindex_info(2) = length(tmplats);

end

return

% $Log: geofront.m,v $
% Revision 1.1  2002/04/15 20:04:58  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.2  2000/12/21 16:17:36  kwoklin
% Add comma on returned_var, change tmp-varname order on xdim/ydim. klee
%
% Revision 1.1  2000/11/02 15:59:54  kwoklin
% URI frontal data sets toolbox version.  Integrated w/ getjgsta.  klee
%
