function [urlinfolist] = getcat(getarchive,getranges,varnames,urlinfolist)

%
% Build Cat constraint, and return data server and catalog info back
%      to gbcat.m.
%

% 
% $Id: getcat.m,v 1.1 2002/04/15 20:04:58 dan Exp $
% klee

urllist = [];  catfix = []; callstr = [];

if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

Catstr = [];
Catstr = urlinfolist(4).catserver_info;
if isempty(Catstr)
  return
end

minmax = [];  startend = [];
% minmax(1:4):  x,y,z(down),z(up)
minmax(1:4) = urlinfolist(3).catserver_info(1:4);
startandend = urlinfolist(2).catserver_info;
depvec = urlinfolist(1).depend_info;

beginTimeStr = [];  lastTimeStr = [];
beginTime = max(TimeRange(1), getranges(4,1));
lastTime = min(TimeRange(2), getranges(4,2));
if floor(beginTime) == beginTime
  beginTimeStr = [num2str(beginTime,9),'.00'];
else,  beginTimeStr = num2str(beginTime,9);  end
if floor(lastTime) == lastTime
  lastTimeStr = [num2str(lastTime,9),'.00'];
else,  lastTimeStr = num2str(lastTime,9);  end


% NOTE: I assume that variable names are converted into standized     
%           names, such as DODS_Latitude is the latitude and 
%           DODS_Depth/Height is either depths or heights
dvar = '';
if any(depvec == 3.1)
  if ~minmax(3),  dvar = ',DODS_Depth';
  elseif minmax(3),  dvar = ',DODS_Min_Depth,DODS_Max_Depth';  end
elseif any(depvec == 3.3)
  if ~minmax(4),  dvar = ',DODS_Height';
  elseif minmax(4),  dvar = ',DODS_Min_Height,DODS_Max_Height';  end
elseif ~isempty(deblank(varnames(7,:)))
  if ~minmax(4),  dvar = [',DODS_',deblank(varnames(7,:))];
  elseif minmax(4),  dvar = ['DODS_Min_', deblank(varnames(7,:)), ...
                          'DODS_Max_', deblank(varnames(7,:))];  
  end
end

% a rough server optimization
outb = [];
DataRanges = [LonRange; LatRange; DepthRange; TimeRange];
for i = 1:4
  if (getranges(i,1) <= DataRanges(i,1) & getranges(i,2) >= DataRanges(i,2))
    outb = [outb, 1];
  else
    outb = [outb, 0];
  end
end


% initialize
DODS_Decimal_Year = [];
DODS_URL = [];  DODS_StartDecimal_Year = [];  DODS_EndDecimal_Year = [];
DODS_Latitude = [];  DODS_Longitude = []; 
DODS_Min_Latitude = [];  DODS_Max_Latitude = [];
DODS_Min_Longitude = [];  DODS_Max_Longitude = []; 
DODS_Depth = [];  DODS_Height = [];
DODS_Min_Depth = [];  DODS_Max_Depth = [];  
DODS_Min_Height = [];  DODS_Max_Height = [];
eval(['DODS_',deblank(varnames(7,:)),' = [];']);
eval(['DODS_Min_',deblank(varnames(7,:)),' = [];']);
eval(['DODS_Max_',deblank(varnames(7,:)),' = [];']);

% if time is selected in ranges
if startandend
  projtimestr = ['DODS_StartDecimal_Year(',Catstr,'),' ...
		 'DODS_EndDecimal_Year(',Catstr,')'];
  seletimestr = ['&date_range("',beginTimeStr,'","',lastTimeStr,'")'];
else
  projtimestr = ['DODS_Decimal_Year(',Catstr,')'];
  seletimestr = ['&date_time("',beginTimeStr,'","',lastTimeStr,'")'];
end

projpart = [];  selectpart = [];
depvec = urlinfolist(1).depend_info;
%if strcmpi([urlinfolist.depend_info], 'all')
if length(depvec) == 4
  if size(CatalogServer,1) == 1
    if ~minmax(1) & ~minmax(2)
      projpart = ['DODS_URL,',projtimestr,',DODS_Longitude,'...
                  'DODS_Latitude',dvar];
    elseif minmax(1) & minmax(2)
      projpart = ['DODS_URL,',projtimestr,',DODS_Min_Longitude,'...
                  'DODS_Max_Longitude,DODS_Min_Latitude,' ...
                  'DODS_Max_Latitude',dvar];
    end
    if ~outb(3)
      comma = []; 
      comma = findstr(dvar, ',');
      if ~isempty(comma)
        if ~minmax(3)
          if length(comma) == 1
            tmpdvar = dvar(comma(1)+1:length(dvar));
            selectpart = [selectpart, '&',tmpdvar,'>=',...
              num2str(getranges(3,1),7),'&',tmpdvar,...
              '<=',num2str(getranges(3,2),7)];
          else
            for i = 1:length(comma)-1
              tmpvar = dvar(comma(i)+1:comma(i+1)-1);
              selectpart = [selectpart, '&',tmpdvar,'>=',...
                num2str(getranges(3,1),7),'&',tmpdvar,...
                '<=',num2str(getranges(3,2),7)];
            end
            tmpdvar = dvar(comma(i+1)+1:length(dvar));
            selectpart = [selectpart, '&',tmpdvar,'>=',...
              num2str(getranges(3,1),7),'&',tmpdvar,...
              '<=',num2str(getranges(3,2),7)];
          end
        elseif minmax(3)
          if length(comma) == 2
            tmpdvar1 = dvar(comma(1)+1:comma(2)-1);
            tmpdvar2 = dvar(comma(2)+1:length(dvar));
            selectpart = [selectpart, '&',tmpdvar1,'<=',...
              num2str(getranges(3,2),7),'&',tmpdvar2,...
              '>=',num2str(getranges(3,1),7)];
          else
            for i = 1:length(comma)-2
              tmpdvar1 = dvar(comma(i)+1:comma(i+1)-1);
              tmpdvar2 = dvar(comma(i+1)+1:comma(i+2)-1);
              selectpart = [selectpart, '&',tmpdvar1,'<=',...
                num2str(getranges(3,2),7),'&',tmpdvar2,...
                '>=',num2str(getranges(3,1),7)];
            end
            tmpdvar1 = dvar(comma(i+1)+1:comma(i+2)-1);
            tmpdvar2 = dvar(comma(i+2)+1:length(dvar));
            selectpart = [selectpart, '&',tmpdvar1,'<=',...
              num2str(getranges(3,2),7),'&',tmpdvar2,...
              '>=',num2str(getranges(3,1),7)];
          end
        end
      end
    end
    if (~outb(1) | ~outb(2)) & ~outb(4)
      if ~minmax(1) & ~minmax(2)
        selectpart = [seletimestr,'&',...
          'DODS_Latitude>=',num2str(getranges(2,1),7),'&DODS_Latitude<=',...
          num2str(getranges(2,2),7),'&DODS_Longitude>=',...
          num2str(getranges(1,1),7),'&DODS_Longitude<=',...
          num2str(getranges(1,2),7),selectpart];
      elseif minmax(1) & minmax(2)
        selectpart = [seletimestr,'&',...
          'DODS_Min_Latitude<=',num2str(getranges(2,2),7),...
          '&DODS_Max_Latitude>=',num2str(getranges(2,1),7),...
          '&DODS_Min_Longitude<=',num2str(getranges(1,2),7),...
          '&DODS_Max_Longitude>=',num2str(getranges(1,1),7),selectpart];
      end
    elseif (~outb(1) | ~outb(2)) & outb(4)
      if ~minmax(1) & ~minmax(2)
        selectpart = ['&DODS_Latitude>=',num2str(getranges(2,1),7),...
          '&DODS_Latitude<=',num2str(getranges(2,2),7),'&DODS_Longitude>=',...
          num2str(getranges(1,1),7),'&DODS_Longitude<=',...
          num2str(getranges(1,2),7),selectpart];
      elseif minmax(1) & minmax(2)
        selectpart = ['&DODS_Min_Latitude<=',num2str(getranges(2,2),7),...
          '&DODS_Max_Latitude>=',num2str(getranges(2,1),7),...
          '&DODS_Min_Longitude<=',num2str(getranges(1,2),7),...
          '&DODS_Max_Longitude>=',num2str(getranges(1,1),7),selectpart];
      end
    elseif outb(1) & outb(2) & ~outb(4)
      selectpart = [seletimestr, selectpart];
    end
  else
    % what if there're more than one cat server, and why?
  end
else
  if any(depvec == 1) | any(depvec == 2)
    if ~outb(1) & ~outb(2)
      if ~minmax(1) & ~minmax(2)
        selectpart = [selectpart,'&DODS_Latitude>=',num2str(getranges(2,1),7),...
          '&DODS_Latitude<=',num2str(getranges(2,2),7),'&DODS_Longitude>=',...
          num2str(getranges(1,1),7),'&DODS_Longitude<=',...
          num2str(getranges(1,2),7)];
      elseif minmax(1) & minmax(2)
        selectpart = [selectpart,'&DODS_Min_Latitude<=',...
          num2str(getranges(2,2),7),'&DODS_Max_Latitude>=',...
          num2str(getranges(2,1),7),'&DODS_Min_Longitude<=',...
          num2str(getranges(1,2),7),'&DODS_Max_Longitude>=',...
          num2str(getranges(1,1),7)];
      end
    end
    if ~minmax(1) & ~minmax(2)
      projpart = [projpart,'DODS_Longitude,DODS_Latitude,'];
    elseif minmax(1) & minmax(2)
      projpart = [projpart,'DODS_Min_Longitude,DODS_Max_Longitude,'...
                  'DODS_Min_Latitude,DODS_Max_Latitude,'];
    end
  end
  if any(depvec == 3)
    if ~outb(3)
      selectpart = [selepart,'&',dvar,'>=',num2str(getranges(3,1),7),...
        '&',dvar,'>=',num2str(getranges(3,2),7)];
    end
    projpart = [projpart, dvar, ','];
  end
  if any(depvec == 4)
    if ~outb(4)
      selectpart = [selectpart, seletimestr];
    end
    projpart = [projpart, projtimestr, ','];
  end
  % finally, adds the must-have DODS_URL
  if ~isempty(projpart)
    projpart = [projpart,'DODS_URL'];
  end
end

% OK!  call loaddods here
callstr = [CatalogServer,'?',projpart,selectpart];
% MAKE SURE TO USE -e
dods_err = 0;
loaddods('-e',callstr);
if dods_err
  dodsmsg(dods_err_msg)
  return
end

starttimes = [];  endtimes = [];
if ~isempty(DODS_URL),  urllist = derefurl(DODS_URL);  end
if ~isempty(DODS_StartDecimal_Year)
  starttimes = derefdat(DODS_StartDecimal_Year);  
  urlinfolist(1).time_info = starttimes;
end
if ~isempty(DODS_EndDecimal_Year)
  endtimes = derefdat(DODS_EndDecimal_Year); 
  urlinfolist(2).time_info = endtimes;
end
if ~isempty(DODS_Decimal_Year)
  tmp_times = derefdat(DODS_Decimal_Year);
  urlinfolist(1).time_info = tmp_times;
  urlinfolist(2).time_info = [];
end

% which servers
serverno = [];
urlinfolist(2).server_info = [];
% To avoid overhead of comparing very large set of urllist (such as
%     the usgs time-series data set), skip for ones having larger
%     than 500 lines of inventory (DODS_URL). 
%     Note that in that case, multiple DodsName/SelectableVariables
%         ratio would not be resolved in 'gburl' file.  If one set
%         has n DodsName/SelectableVariables ratio should find alter-
%         native solution in InfoFile(s).
if isfield(urlinfolist, 'DODS_URL')
  dodsurl = urlinfolist(1).DODS_URL;
  if size(dodsurl,1) <= 500
    if ~isempty(dodsurl)
      for i = 1:size(dodsurl,1)
        for j = 1:size(urllist,1)
          if strcmp(deblank(dodsurl(i,:)),deblank(urllist(j,:)))
            serverno = [serverno, i];
          end
        end
      end
    end
  end
end
urlinfolist(2).server_info = serverno;


if minmax(1) & minmax(2)
  urlinfolist(1).xdim_info = DODS_Min_Longitude; 
  urlinfolist(2).xdim_info = DODS_Max_Longitude; 
  urlinfolist(1).ydim_info = DODS_Min_Latitude;
  urlinfolist(2).ydim_info = DODS_Max_Latitude;
else
  urlinfolist(1).xdim_info = DODS_Longitude; 
  urlinfolist(1).ydim_info = DODS_Latitude;
end
if minmax(3)
  urlinfolist(1).zdim_info = DODS_Min_Depth; 
  urlinfolist(2).zdim_info = DODS_Max_Depth;
else
  urlinfolist(1).zdim_info = DODS_Depth; 
  urlinfolist(3).zdim_info = DODS_Height;
  urlinfolist(5).zdim_info = eval(['DODS_',deblank(varnames(7,:))]);
end
if minmax(4)
  urlinfolist(3).zdim_info = DODS_Min_Height;
  urlinfolist(4).zdim_info = DODS_Max_Height;
  urlinfolist(5).zdim_info = eval(['DODS_Min_',deblank(varnames(7,:))]);
  urlinfolist(6).zdim_info = eval(['DODS_Max_',deblank(varnames(7,:))]);
else
  urlinfolist(3).zdim_info = DODS_Height;
  urlinfolist(5).zdim_info = eval(['DODS_',deblank(varnames(7,:))]);
end
urlinfolist(1).baseserver_info = urllist;
urlinfolist(1).server_info = urllist;
urlinfolist(1).catserver_info = callstr;

return


% $Log: getcat.m,v $
% Revision 1.1  2002/04/15 20:04:58  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.5  2001/01/18 18:55:54  dbyrne
%
%
% Fixed loaddods call to use '-e' option.  -- dbyrne 01/01/18
%
% Revision 1.4  2000/12/19 15:23:24  kwoklin
% Fix logical trap for minmax assignment to urlinfolist.  klee
%
% Revision 1.3  2000/12/05 18:01:46  kwoklin
% Fix typos in epstruct, derefdat, gettstr and getjgsta.
% Fix returned argout6 to catserver in gbcat.
% Differentiate depth and heigth in getcat and getinfo.
% Add string building functionality in gburl for focus data set.  klee
%
% Revision 1.2  2000/11/02 16:08:07  kwoklin
% Minor fixes. Move log msg down.  klee
%
