%
% IES Kuroshio Data Set

% 
% $Id: iestt.m,v 1.1 2002/04/15 20:08:42 dan Exp $
% klee 09/19/2000
% klee 05/19/1999

GetFunctionName = 'getjgsta';
Cat_m_File = 'gbcat';
URL_m_File = 'gburl';
CatalogServer = 'http://dods.gso.uri.edu/cgi-bin/nph-ff/catalog/iestt_locations.dat';
Catvars = str2mat('DODS_URL','DODS_Latitude','DODS_Longitude','DODS_Depth');
Catselc = str2mat('date_range');
Catstr = 'ies_asuka';

IntervalTime = 6;
LonRange = [132.0 138.0];
LatRange = [24.0 34.0];
TimeRange = [1993.5205 1995.87671233];
DepthRange = [830 5270];
DepthUnits = 'Meters';
Resolution = nan;

DataName = 'Travel Time - Vertical Acoustic Echo Time in Kuroshio Region off SW Japan - URI';
LongitudeName = '';
LatitudeName = '';
TimeName = 'dyear';
DepthName = '';
DepthUnits = 'Meters';
DodsName = str2mat('AET_inst01','AET_inst02','AET_inst03','AET_inst04',...
                   'AET_inst06','AET_inst07','AET_inst08','AET_inst09',...
                   'AET_inst10');
SelectableVariables = str2mat('Acoustic_Echo_Time');
OptionalVariables = str2mat('day');
SelectableOptional = str2mat('1994_Yeardays');
TimeInfo_File = 'iesttt';

DataNull = cell(size(DodsName,1)+size(SelectableOptional,1)+4,1);
[DataNull(:)] = deal({nan}); 
[DataNull(5:13)] = deal({-990000});
DataNull(14) = {nan};

Acknowledge = sprintf('%s\n\n%s\n%s\n%s\n%s', ...
    [ 'The authors of this dataset are J.Book and M. Wimbush.  ', ...
      'The data were provided by the Graduate School of Oceanography at ',...
      'University of Rhode Island and accessed via ', ...
      'the Distributed Oceanographic Data System (DODS: ', ...
      'http://www.unidata.ucar.edu/packages/dods).'], ...
    [ 'Citation:  Book, J., K. L. Tracey, M. Wimbush, H. Ichikawa, ',...
      'S. Imawaki, H. Uchida and H. Kinoshita, 1999: The Kuroshio region ',...
      'off Southwest Japan, ASUKA, 1993--95 inverted echo sounder',...
      'data report. Graduate school of Oceanography Technical Report 99-1,',...
      'Graduate School of Oceanography, University of Rhode Island, ',...
      'Narragansett, RI 02882.'],...
    [ 'Chaplin, G. and D. R. Watts, 1984: Inverted echo sounder develop-',...
      'ment. In Proceedings of Oceans, ''84, IEEE-MTS Conference, pp. ',...
      '249-253.'],...
    [ 'Fields, E., K. Tracey, and D. R. Watts, 1991: Inverted echo ',...
      'sounder data processing report. Graduate School of Oceanography ',...
      'Technical Report 91-3, Graduate School of Oceanography, University',...
      'of Rhode Island, Narragansett, RI 02882.'],...
    [ 'Wimbush, M., H. Ichikawa, J. Book, H. Uchida, and H. Kinoshita, ',...
      '1998: Separating baroclinic and barotropic sea-surface height ',...
      'components in the ASUKA region, by combining altimeter and inverted',...
      'echo sounder measurements. In "Proceedings of Symposium on Ocean-',...
      'Earth Dynamics and Satillite Altimetry", pages 33-50.']);

Data_Use_Policy = [];

Comments1 = sprintf('%s\n',...
'                  Vertical Acoustic Echo Time in Kuroshio Region off SW Japan',...
'  ',...
'    Parameter                                Description                              Units',...
'    ----------------------------------------------------------------------------------------',...
'    Time                                     time in decimal year                     local time',...
'    Depth                                    IES moored depth                         Meters',...
'    Latitude                                 latitude                                 degrees east',...
'    Longitude                                longitude                                degress north',...
'    AET_instno (acoustic_echo_time) (tau)    round-trip acoustic time from surface    sec',...
'                                             to bottom',...
'  ',...
' Introduction ',...
'  ',...
'     A bimodal process which occurs in the Kuroshio, with no counterpart in the Gulf Stream, ',...
' is the occasional formation of a quasi-stationary (2---10 year duration), large meander to ',...
' the east of Shikoku. This meander deflects the main jet of the current more than 300 km ',...
' offshore. Many different control mechanisms have been suggested for the formation process of ',...
' this ``large meander,'' including downstream topographic control by the Izu-Ogasawara Ridge, ',...
' upstream transport fluctuations, and ENSO conditions. Although these factors may determine if ',...
' suitable conditions exist for the development of the large meander, the meander itself is ',...
' observed to be preceded by a small upstream ``trigger meander''.',...
'  ',...
'     Trigger meanders are brief offshore meanders of the Kuroshio that occur east of Kyushu and ',...
' south of Shikoku. Even when the large meander is absent, most trigger meanders do not initiate ',...
' a large meander; but occasionally one does.  H. Soloman investigated trigger meanders using ',...
' historical GEK data. They found that they were related to abrupt increases in current velocities ',...
' in the region of the Tokara Strait, south of Kyushu. These increases in velocity preceded the ',...
' formation of a meander by approximately one month.  While their study of trigger meanders was ',...
' largely qualitative, this study is more quantitative, being based on time series from the high ',...
' quality ASUKA (Affiliated SUrveys of the Kuroshio off Ashizuri-misaki) data set. (For more details,',...
' Please see Shiro Imawaki and Hiroshi Uchida and Hiroshi Ichikawa and Masao Fukasawa and S. Umatani ',...
' and the ASUKA Group, 1999.)',...
'  ',...
'     The occurrence of trigger meanders and other variations in the Kuroshio are examined in this ',...
' paper using two-year time-series data set obtained from the ASUKA study. Data from inverted echo ',...
' sounders (IES), CTD and XBT hydrographic casts, and moored current meters are all used to derive ',...
' time series of velocity sections, transports, and Kuroshio position.   ',...
'  ',...
' The ASUKA study',...
'  ',...
'     The IES portion of the ASUKA study consisted of a line of ten IES''s extending',...
' off-shore from Cape Ashizuri on the island of Shikoku and oriented to lie along a',...
' track of the TOPEX/POSEIDON (T/P) satellite altimeter. The track chosen, oriented',...
' toward 155 True, is approximately perpendicular to the mean path of the Kuroshio',...
' through the ASUKA region. The spacings between IES instruments were chosen to pro-',...
' vide high resolution sampling of the area where the Kuroshio would most likely cross',...
' the line and diminished resolution in the Kuroshio countercurrent. IES''s 1-4 were',...
' moored at relatively shallow depths (< 2500 m) down the continental slope, while',...
' IES''s 6-10 were moored in the Shikoku Basin at depths greater than 4000 m. ',...
'  ',...
' Measurement',...
'  ',...
'     An IES measures the round-trip travel time of an acoustic pulse from the sea ',...
' floor, where the IES is moored, to the sea surface (Chaplin and Watts 1984). The ',...
' IES''s used in this study were manufactured by URI. Every hour, they emitted a group',...
' of twenty-four 10 kHz "pings" at 10 second intervals and recorded the individual',...
' echo times. IES1, moored at 830 m had an unusually large proportion of early echo',...
' returns with a tendency to occur at certain perferred echo times. This was perhaps',...
' caused by reflections from sea-floor features, made possible by the downward bending',...
' of acoustic rays at depths above the center of the sound channel.',...
'  ',...
'     The median of the group of twenty-four, excluding unreasonable values, was taken ',...
' as the round-trip acoustic travel time (tau) measurement for that hour.  The tau data ',...
' were low-pass filtered using a Butterworth filter (run forwards and backwards to ',...
' preserve phase) with a  120-hour cut-off period and subsampled at daily intervals. The ',...
' processing generally followed the procedures described in (FTW91).  Only variations ',...
' about the mean were used for analysis because the IES''s lacked pressure sensors and ',...
' therefore their depth could not be determined to the required accuracy. The eight URI ',...
' IES''s were deployed for approximately two years; the processed data cover the period ',...
' between 1994 yeardays -61 and 682.  The processed IES8 data cover the period between ',...
' 1994 yeardays -172 and 126, overlapping the URI data period by 187 days.  Further ',...
' details of the ASUKA IES''s are available in (BW99).',...
'  ',...
'     Current-meter moorings were deployed mid-way between the IES''s and maintained for ',...
' the same two-year period for which the URI IES''s were deployed.  Each mooring had 1--4 ',...
' current meters, which were labeled according to their mooring number followed by a number ',...
' indicating their relative position from the top of the mooring (ie. level 1, 3, 4, and 5).',...
' Level 1 indicates the shallowest deployed meter and level 2 was skipped in this notation.  ',...
' The current-meter data were low-pass filtered using the tide-elimination filter suggested ',...
' at the beginning of section 4.5 in Godin, 1972, followed by the same 120-hour filter that',...
' was used on the IES data.  The current meters were equipped with both temperature and ',...
' pressure sensors.',...
'  ',...
'     The hydrographic data were from CTD''s and XBT''s, mostly taken during the URI IES ',...
' deployment times.  These data underwent extensive quality-control checks.  Salinity values ',...
' for the XBT casts were inferred from the average temperature--salinity relationship of the',...
' CTD casts taken at the same location by the immediately preceding and immediately following ',...
' hydrographic surveys.',...
'  ',...
' References',...
'  ',...
' Book, 1998: Kuroshio Variations off Southwest Japan. M.S. Thesis, Graduate School of ',...
'     Oceanograhpy, University of Rhode Island, Narragansett, RI 02882',...
'  ',...
' Book, J., K. L. Tracey, M. Wimbush, H. Ichikawa, S. Imawaki, H. Uchida and H. Kinoshita,',...
'     1999: The Kuroshio region off Southwest Japan, ASUKA, 1993--95 inverted echo sounder',...
'     data report. Graduate school of Oceanography Technical Report 99-1, Graduate School',...
'     of Oceanography, University of Rhode Island, Narragansett, RI 02882.',...
'  ',...
' Chaplin, G. and D. R. Watts, 1984: Inverted echo sounder development. In Proceedings',...
'     of Oceans, ''84, IEEE-MTS Conference, pp. 249-253.',...
'  ',...
' Fields, E., K. Tracey, and D. R. Watts, 1991: Inverted echo sounder data processing',...
'     report. Graduate School of Oceanography Technical Report 91-3, Graduate School',...
'     of Oceanography, University of Rhode Island, Narragansett, RI 02882.',...
'  ',...
' Imawaki, S., H. Uchida, H. Ichikawa, M. Fukasawa, S. Umatani and the ASUKA Group, 1999:',...
'     Five-year record of the Kuroshio transport south of Japan. In Preparation.',...
'  ',...
' Meinen, C. S. and R. Watts, 1999: Vertical structure and transport on a transect across',...
'     the North Atlantic current near 42 N: timeseries and means. In Journal of Geophysical',...
'     Research, submitted.',...
'  ',...
' Wimbush, M., H. Ichikawa, J. Book, H. Uchida, and H. Kinoshita, 1998: Separating ',...
'     baroclinic and barotropic sea-surface height components in the ASUKA region, ',...
'     by combining altimeter and inverted echo sounder measurements. In "Proceedings',...
'     of Symposium on Ocean-Earth Dynamics and Satillite Altimetry", pages 33-50.',...
'');

Comments2 = sprintf('%s\n',...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Jul. 10, 1993 (1993.52054798) ', ...
'         Ending_Date:    Nov. 17, 1995 (1995.87671233)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 132 W ', ...
'              East Bounding Coordinate: 138 W ', ...
'              South Bounding Coordinate: 24 N ', ...
'              North Bounding Coordinate: 34 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Dr. Mark Wimbush',...
'               Graduate School of Oceanography',...
'               University of Rhode Island',...
'               South Ferry Road',...
'               Narragansett, RI 02882',...
'               USA',...
'               Electronic Mail Address:INTERNET > mwimbush@gso.uri.edu',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments2];

% $Log: iestt.m,v $
% Revision 1.1  2002/04/15 20:08:42  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.6  2001/01/18 19:35:44  dbyrne
%
%
% datarange is no longer in use.  changed datanull to cell in many cases.
% -- dbyrne 01/01/17
%
% Revision 1.5  2000/12/21 17:27:10  kwoklin
% Lat/lon names are empty, not existing in the data files.   klee
%
% Revision 1.4  2000/12/21 16:40:16  kwoklin
% Add Catvars, Catselc, Catstr and uncommand Time/Lon/Lat names for
% compatibility with loaddods w/o -A option.  If the option is used,
% Catxxx should be commanded out.                              klee
%
% Revision 1.3  2000/11/14 19:47:27  kwoklin
% DataNull modified.   klee
%
% Revision 1.2  2000/10/19 18:56:05  kwoklin
% Change TimeRange(1).  klee
%
% Revision 1.1  2000/09/28 04:30:01  kwoklin
% First toolbox internal release.   klee
%
