%
%      MARMAP Hydrographic DATA
 
% The preceding empty line is important
% $Id: mmhydro.m,v 1.1 2002/04/15 20:05:39 dan Exp $
% klee 11/2000
% klee 03/1999

GetFunctionName = 'getjgsta';
Cat_m_File = 'gbcat';
URL_m_File = 'gburl';
Server = 'http://dods.gso.uri.edu/cgi-bin/nph-jg/marmaphydro';

LonRange = [-83.583 -65.683];
LatRange = [33.700 52.667];
TimeRange = [1977.5794 1988.082];
DepthRange = [0 988];
Resolution = nan;        

DataName = 'Water Column - Northeast US MARMAP Hydrography Data - WHOI/MARMAP';
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = 'time';        
DepthName = 'pres';
DepthUnits = 'Meters';
DodsName = str2mat('temp','sal','density','chl','nitrate','phosp','sil'); 
SelectableVariables = str2mat('Sea_Temp','Salinity','Sigma_t',...
                        'Chlorophyll','Nitrate','Phosphate','Silicate');
OptionalVariables = str2mat('bdepth');
SelectableOptional = str2mat('Depth_Bottom');

%in the order of [time, lon, lat, depth, DodsName, SelectableOptional]
DataNull = [nan nan nan -9999 0 0 0 0 0 0 0 -9999];
DataScale = [NaN NaN; NaN NaN; NaN NaN; NaN NaN; ...
             0 0.01; 0 0.001; 0 0.01; ...   %t, sal, den
             0 1; 0 1; 0 1; 0 1; ...            %chl, nit, phos, sili
             nan nan];   %bottomdepth

Acknowledge = [];
Data_Use_Policy = [];

Comments1 = sprintf('%s\n', ...
'                   MARMAP(Marine Resources Monitoring, Assessment and Prediction) Hydrographic DATA ', ...
'    ',...
'                 Parameter         Description                               Units',...
'                 --------------------------------------------------------------------',...
'                 temp              temperature                               degrees C',...
'                 sal               salinity                                  PSU',...
'                 density           sigma-t',...
'                 chlorophyl        chlorophyll                               mg/L',...
'                 nitrate           nitrate                                   ml/L',...
'                 phosphate         phosphate                                 ml/L',...
'                 silicate          silicate                                  ml/L',...
'                 pressure                                                    meters   ',...        
'     ', ...
'    ');

Comments2 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: July, 31, 1977 ', ...
'         Ending_Date: Jan. 30, 1988 ', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 83.583  W ', ...
'              East Bounding Coordinate: 65.683  W ', ...
'              South Bounding Coordinate:33.700  N ', ...
'              North Bounding Coordinate:52.667  N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               David Mountain ', ...
'               NMFS', ...
'               Woods Hole, MA 02543', ...
'               USA', ...
'               Electronic Mail Address:INTERNET > David.Mountain@noaa.gov ', ...
'               Fax: 508-495-2258 ',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments2];


% $Log: mmhydro.m,v $
% Revision 1.1  2002/04/15 20:05:39  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.2  2000/12/21 16:40:16  kwoklin
% Add Catvars, Catselc, Catstr and uncommand Time/Lon/Lat names for
% compatibility with loaddods w/o -A option.  If the option is used,
% Catxxx should be commanded out.                              klee
%
% Revision 1.1  2000/12/05 18:04:02  kwoklin
% First toolbox internal release.  klee
