%
%                            GFDL Ocean Assimilation (T,S)

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';

% VARIABLES -- OPTIONAL
Server = 'http://nomads.gfdl.noaa.gov/cgi-bin/nph-nc/dods-data/gfdl_ocean_assimilation/time_mean.001980.nc';

% VARIABLES -- REQUIRED
LonRange = [0 360];
LatRange = [-76 66];
TimeRange = [1980 1981];
DepthRange = [0 5000];
DepthUnits = 'Meters';
Resolution = 111.0;

DataName = 'GFDL Ocean Assimilation';

%SelectableVariables = str2mat('Sea_Temp', 'Salinity', 'Current_U', 'Current_V', ...
%  'Current_W', 'Surface_Heat_Flux', 'Surface_Salt_Flux', 'Wind_Stress_U', ...
%  'Wind_Stress_V', 'Convergence_of_H*ubar', 'Streamfunction_for_H*ubar', ...
%  'Streamfunction_for_H*vbar', 'Fresh_water_flux', 'Surface_height', ...
%  'Mixed_layer_depth', 'Boundary_layer_depth');

SelectableVariables = str2mat('Sea_Temp', 'Salinity');

% there must be one DODSNAME for each selectable variable
%DodsName = str2mat('temp','salinity','u','v','w','hflx','sflx','taux', ...
%           'tauy','convU','psiu','psiv','sff','eta','hmx','hblt');

DodsName = str2mat( 'temp', 'salinity');

% note: DataNull is applied *before* scaling
DataNull = cell(size(DodsName,1)+4,1);
[DataNull(:)] = deal({nan}); 
[DataNull(5:length(DataNull))] = deal({-9999999790214767953607394487959552.0});

Data_Use_Policy = '';
Acknowledge = '';
Comments = '';
