function [depthstr,servers,tmpdepths,urlinfolist] = usgspfd(str,getarchive,...
                  getranges,getmode,getvars,urlinfolist,varargin)

%
%  To get and convert depth info for usgs profile data sets.
%

% The preceding empty line is important
% $Id: usgspfd.m,v 1.1 2002/04/15 20:07:14 dan Exp $
% klee

% initialization
depthstr = [];  servers = []; tmpdepths = [];
urlinfolist(1).issequence = 0;
urlinfolist(3).var_info = 1;

if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

% servers
baseservers = [];
baseservers = [urlinfolist(1).server_info];

if strcmp(str, 'url')

  if isempty(baseservers)
    return
  else
    % construct depthstr and servers, leave blank until get_data
    ce = [];
    for i = 1:size(baseservers,1)
      ce = strvcat(ce, '  ');
      servers = strvcat(servers, baseservers(i,:));
    end
    depthstr = ce;

    % tmpdepths
    mindepth = max(getranges(3,1),min(urlinfolist(1).zdim_info));
    maxdepth = min(getranges(3,2),max(urlinfolist(2).zdim_info));
    tmpdepths = [mindepth:1:maxdepth];
    %%urlinfolist(1).zdim_info = tmpdepths;  %12/12
    urlinfolist(1).zdim_info = [];   %12/12
    urlinfolist(2).zdim_info = [];   %12/12

    % set msg for depth display
    msg = ['Depth data displayed on the browser is spaced 1 meter between '...
           'min and max within the selections.  The actual collecting ' ...
           'depths are varied and will be returned in get_data.'];
    dodsmsg(msg);
  end

elseif strcmp(str, 'data')

  % re-call urllist
  % get depth data to find the start and end index
  basemindepth = getranges(3,1);
  basemaxdepth = getranges(3,2);
  depthindex = [];  sindex = [];  eindex = [];
  for i = 1:size(baseservers,1)
    dpeth = [];
    URL = [deblank(baseservers(i,:)), '?depth'];
    loaddods(URL);
    if ~isempty(depth)
      depthindex = find(depth >= basemindepth & depth <= basemaxdepth);
      sindex = [sindex; min(depthindex)-1];
      eindex = [eindex; max(depthindex)-1];
    end
  end

  % assign sizeindex_info to urlinfolist
  urlsize = 0;
  for i = 1:length(sindex)
    urlsize = [urlsize; eindex(i)-sindex(i)+1];
  end
  urlinfolist(1).sizeindex_info = urlsize;
  urlinfolist(2).sizeindex_info(:,1) = sindex;
  urlinfolist(2).sizeindex_info(:,2) = eindex;

  % construct depthstr and servers
  ce = [];
  urlinfolist(1).returned_var = [];    %12/12/2000
  for i = 1:size(baseservers,1)
    ce = strvcat(ce, ['[',num2str(sindex(i),5),':',...
                      num2str(eindex(i),5),'][0][0]']);
    servers = strvcat(servers, baseservers(i,:));
    % add time2 as one of the returned_var
    urlinfolist(1).returned_var = strvcat(urlinfolist(1).returned_var, ...
                                  [',time,time2']);
  end
  depthstr = ce;

  % dds is in time/depth/lat/lon order
  urlinfolist(3).selection_info = depthstr;
  urlinfolist(1).varorder_info = [4 3];
  % since depth name is not detected automatically from getinfo (because
  %     of there's no ancillary das available, either dds structure is 
  %     decoded from loaddods -A option (depth is nested within other vars)),
  %     set it up here explicitely
  urlinfolist(1).var_name = char(setstr(32)*ones(17,5));
  urlinfolist(1).var_name(3,:) = 'depth';
  urlinfolist(1).var_info(3) = 0;

elseif strcmp(str, 'value')

  % Since time info file uses the urlinfolist(3).var_info flag,
  %     depth info needs to be reapplied here. Otherwise the cat
  %     depth info would be returned.
  newdepths = [];
  newdepths = varargin{3};
  tmpdepths = newdepths;

end

return


% $Log: usgspfd.m,v $
% Revision 1.1  2002/04/15 20:07:14  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.1  2000/12/21 16:24:37  kwoklin
% First toolbox internal release.
% Make to compatible with loaddods w/o -A option. If the option is used, the
% Catxxx string should be commanded out.                                klee
%
