%
%  ECOHAB/MWRA/NMFS/RMRP PROFILE Data

%
% $Id: usgspfm.m,v 1.1 2002/04/15 20:07:14 dan Exp $
% klee 11/21/2000
% klee 11/12/1999

GetFunctionName = 'getjgsta';
Cat_m_File = 'gbcat';
URL_m_File = 'gburl';
CatalogServer = 'http://dods.gso.uri.edu/cgi-bin/nph-ff/catalog/usgsprofilemwra.dat';
Catvars = str2mat('DODS_URL','DODS_Longitude','DODS_Latitude','DODS_Max_Depth','DODS_Min_Depth');
Catselc = 'date_time';
Catstr = 'USGS_PF_MWRA';

LonRange = [-71.05 -70.0];
LatRange = [41.8 42.65];
TimeRange = [1992.1 1999.0];
DepthRange = [0 105];
DepthUnits = 'Meters';
Resolution = nan;
Prefix = str2mat('USGS_PF_MWRA');

DataName = 'Water Column - Coastal Marine Profile - MWRA/USGS';
% note that since gd272 is yet implemented, leave as blanks on purpose 12/12
TimeName = '';
LongitudeName = str2mat('lon');
LatitudeName = str2mat('lat');
DepthName = str2mat('depth','','','','');
DodsName = str2mat('T_20','S_40');
SelectableVariables = str2mat('Sea_Temp','Salinity');
OptionalVariables = str2mat('time','time2','wdepth');
SelectableOptional = str2mat('time','time2','Depth_Water');
TimeInfo_File = 'usgspft';
DepthInfo_File = 'usgspfd';

DataNull = [nan nan nan nan ...
        100000004091847875962975319375216640.000000 ...
        100000004091847875962975319375216640.000000 ...
	nan nan nan];
Acknowledge = sprintf('%s\n', ...
    [ 'The authors of this dataset is R. Signell ', ...
      'The data were provided by the USGS Woods Hole Field Center ', ...
      '(http://crusty.er.usgs.gov/epic/), and accessed via', ...
      'the Distributed Oceanographic Data System (DODS: ', ...
      'http://www.unidata.ucar.edu/packages/dods).']);
Data_Use_Policy = [];

Comments1 = sprintf('%s\n', ...
'                        USGS Coastal Marine Profile  ', ...
'    ',...
'           Parameter         Description                    Units',...
'      --------------------------------------------------------------------------',...
'           time              True Juian day                 days',...
'           time2             msec since 0:00 GMT            msecs',...
'           decimal_year      decimal year days              yrdays',...
'           lon               longitude                      degrees east',...
'           lat               latitude                       degrees north',...
'           depth             instrument(sampling) depth     meters',...
'           wdepth            water depth                    meters',...
'           T_20              sea water temperature          degrees C',...
'           S_40              salinity                       ppt',...
'           ST_70             Sigma_T                        kg/m^3',...
'           tran_4010         transmission                   volts',...
'           F_903             fluorometer (CTD)              mg/m^3',...
'           ATTN_55           beam attenuation               m^(-1)',...
'  ',...
'  ',...
'                  Profile data collected by the USGS or used in conjunction',...
'                  with USGS projects. ',...
'                  These data are stored as NetCDF',...
'                  ("http://www.unidata.ucar.edu/packages/netcdf/index.html")',...
'                  files using conventions developed by NOAA''s PMEL lab to be',...
'                  compatible with their EPIC ("http://www.pmel.noaa.edu/epic")',...
'                  system.  ',...
'                  The profile data is available online at "http://crusty.er.usgs.gov/epic/".',...    
'    ');

Comments2 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Jan. 04, 1990 (1990.00824) ', ...
'         Ending_Date:    Dec. 16, 1998 (1998.95874)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate:  76.26499 W ', ...
'              East Bounding Coordinate:  60.50000 W ', ...
'              South Bounding Coordinate: 34.33166 N ', ...
'              North Bounding Coordinate: 45.09167 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Rich Signell', ...
'               384 Woods Hole Road', ...
'               U.S. Geological Survey', ...
'               Woods Hole, MA 02543 ', ...
'               USA ', ...
'               Electronic Mail Address: INTERNET > rsignell@crusty.er.usgs.gov ', ...
'               Web Page URL: http://crusty.er.usgs.gov/rsignell.html ', ...
'         Address - technical: ', ...
'               Fran Hotchkiss', ...
'               384 Woods Hole Road', ...
'               U.S. Geological Survey', ...
'               Woods Hole, MA 02543 ', ...
'               USA ', ...
'               Electronic Mail Address: INTERNET > fhotchkiss@usgs.gov', ...
'         Address - dods: ',...
'               Electronic Mail Address: INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments2];


% $Log: usgspfm.m,v $
% Revision 1.1  2002/04/15 20:07:14  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.1  2000/12/21 16:24:37  kwoklin
% First toolbox internal release.
% Make to compatible with loaddods w/o -A option. If the option is used, the
% Catxxx string should be commanded out.                                klee
%
