function [timestr,servers,tmptimes,urlinfolist] = usgspft(str,getarchive,...
                  getranges,getmode,getvars,urlinfolist,varargin)

%
%  To get and convert time info for usgs profile data sets
%

% The preceding empty line is important
% $Id: usgspft.m,v 1.1 2002/04/15 20:00:15 dan Exp $
% klee

% initialization
timestr = [];  servers = [];  tmptimes = [];
urlinfolist(1).issequence = 0;
urlinfolist(3).var_info = 1;

if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

% servers
baseservers = [];
baseservers = [urlinfolist(1).server_info];

if strcmp(str, 'url')

  % usgspf_rmrp needs special treatment on the selected variable
  if isempty(baseservers)
    return;
  else
    tmptimes = [];
    tmptimes = urlinfolist(1).time_info;
    mintime = []; maxtime = []; bool = 1; index = [];
    if strcmp(getarchive, 'usgspfr')
      [bool, mintime, maxtime] = checkwarnmsg(getvars, getranges, getarchive);
      if ~bool
        % nothing to be done, re-set urlinfolist
        urlinfolist(1).server_info = []; 
        urlinfolist(1).baseserver_info = [];
        urlinfolist(1).time_info = [];
        urlinfolist(1).xdim_info = [];  urlinfolist(1).ydim_info = [];
        urlinfolist(1).zdim_info = [];  urlinfolist(2).zdim_info = [];
        return;
      elseif bool < 1
        if ~isempty(mintime) & ~isempty(maxtime)
          index = find(tmptimes >= mintime & tmptimes <= maxtime);
        elseif ~isempty(mintime) & isempty(maxtime)
          index = find(tmptimes >= mintime);
        elseif isempty(mintime) & ~isempty(maxtime)
          index = find(tmptimes <= maxtime);
        end
        tmptimes = tmptimes(index);
        baseservers = baseservers(index,:);
       
        % modify urlinfolist accordingly
        urlinfolist(1).time_info = tmptimes;
        urlinfolist(1).server_info = baseservers;
        urlinfolist(1).baseserver_info = baseservers;
        urlinfolist(1).xdim_info = urlinfolist(1).xdim_info(index);
        urlinfolist(1).ydim_info = urlinfolist(1).ydim_info(index);
        urlinfolist(1).zdim_info = urlinfolist(1).zdim_info(index);
        urlinfolist(2).zdim_info = urlinfolist(2).zdim_info(index);
      end
    end

    % construct timestr and servers
    ce = [];
    for i = 1:size(baseservers,1)
      ce = strvcat(ce, '  ');
      servers = strvcat(servers, baseservers(i,:));
    end
    timestr = ce;
  end

elseif strcmp(str, 'data')
  
  ce= [];
  for i = 1:size(baseservers,1)
    ce = strvcat(ce, '[0]');
    servers = strvcat(servers, baseservers(i,:));
  end
  timestr = ce;

elseif strcmp(str, 'value')

  newtime2 = []; newvars = []; varnames = [];
  newvars = varargin{5};
  varnames = fieldnames(newvars);
  nnames = size(varnames,1);
  newtime = eval(['newvars.t', num2str(nnames-1)]);
  newtime2 = eval(['newvars.t', num2str(nnames)]);

  tmptime = []; tmpdtime = [];
  tmptime = invjul(newtime);
  if ~isempty(tmptime)
    years = floor(tmptime);
    leaps = 365 + isleap(years);
    % adds up date (from newtime) and newtime2 (1000secs since the day starts)
    tmp = newtime2/1000/3600/24/leaps;
    tmpdtime = tmptime + (newtime2./leaps)/1000/3600/24;
  end

  tmptimes = tmpdtime;
  urlinfolist(5).time_info = tmptimes;

end

return


function [boolean,mint,maxt] = checkwarnmsg(getvars, getranges, getarchive)

boolean = 1;
mint = []; maxt = [];
warnmsg = [];
if getranges(4,2) >= 1994.0 
  if getranges(4,1) >= 1994.0
    for i = 1:size(getvars,1)
      if strcmp(deblank(getvars(i,:)), 'Fluorometer')
        boolean = 0;
        warnmsg = ['Variable Fluorometer is not contained in all 1994 data files. '...
          'Please either deselect the variable or make a new request on 1993 files.'];
        dodsmsg(warnmsg);
        return
      end
    end
  else
    boolean = 0.5;
    maxt = 1994.0;
    warnmsg = ['Variable Fluorometer is not contained in all 1994 data files. '...
	       'Only 1993 file would be selected at this request, if any'];
    dodsmsg(warnmsg);
  end
end

return


% $Log: usgspft.m,v $
% Revision 1.1  2002/04/15 20:00:15  dan
% These data sets do not work, so I moved them to the BROKEN_DATASET directory.
%
% Revision 1.1  2000/12/21 16:24:37  kwoklin
% First toolbox internal release.
% Make to compatible with loaddods w/o -A option. If the option is used, the
% Catxxx string should be commanded out.                                klee
%
