function [geostr,servers,tmplats,tmplons,urlinfolist] = wvsgeo...
         (str,getarchive,getranges,getmode,getvars,urlinfolist,varargin)
%
%  Convert geoinfo for wvs data set
%

%
% The preceding empty line is important
% $Id: wvsgeo.m,v 1.1 2002/04/15 20:07:33 dan Exp $
% klee 

% initialization
geostr = [];  servers = []; tmplats = []; tmplons = [];

if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

% Names
varname = urlinfolist(1).var_name;
xdimname = deblank(varname(1,:));
ydimname = deblank(varname(2,:));

% starttoend
starttoend = 0;  alllon = 0;  alllat = 0;
if (getranges(1,1) <= LonRange(1) & getranges(1,2) >= LonRange(2))
  alllon = 1;
end
if (getranges(2,1) <= LatRange(1) & getranges(2,2) >= LatRange(2))
  alllat = 1;
end
if alllon & alllat,  starttoend = 1;  end

% servers
baseservers = [];
baseservers = [urlinfolist(1).server_info];

if strcmp(str, 'url')
  % nothing to be build at this moment yet
  % return server info back
  servers = baseservers;
  geostr = '   ';
  % This is a work-around!
  % to fool cat function from calling url in get_cat stage
  %     by assigning varbool info to nan, projection part (returned_var)
  %         would be empty and won't be called during get_cat
  %     note that it is equivalent to assign returned_var empty
  urlinfolist(1).tmp_var_info = [nan,nan,nan,nan,nan,nan,nan,...
                                 nan,nan,nan,nan,nan,nan,nan,nan,nan,nan];


elseif strcmp(str, 'data')
  % build url string here
  ce = [];
  if ~isempty(baseservers)
    for i = 1:size(baseservers,1)
      if starttoend
        ce = strvcat(ce, '   ');
        servers = strvcat(servers, baseservers(i,:));
      else
        if ~alllon & ~alllat
          ce = strvcat(ce, ['&lat>=',num2str(getranges(2,1),7),...
                            '&lat<=',num2str(getranges(2,2),7),'&lon>=',...
                            num2str(getranges(1,1),7),'&lon<=',...
                            num2str(getranges(1,2),7)]);
        elseif alllon & ~alllat
          ce = strvcat(ce, ['&lat>=',num2str(getranges(2,1),7),'&lat<=',...
                            num2str(getranges(2,2),7)]);
        elseif ~alllon & alllat
          ce = strvcat(ce, ['&lon>=',num2str(getranges(1,1),7),'&lon<=',...
                            num2str(getranges(1,2),7)]);
        end
        servers = strvcat(servers, baseservers(i,:));
      end
    end
    geostr = ce;
    urlinfolist(1).tmp_var_info = [0,0,nan,nan,nan,nan,nan,...
                                 nan,nan,nan,nan,nan,nan,nan,nan,nan,nan];
  end
end

return


% $Log: wvsgeo.m,v $
% Revision 1.1  2002/04/15 20:07:33  dan
% Does not work in browser, so I moved to BROKEN_DATASETS directory.
%
% Revision 1.2  2000/12/21 16:33:19  kwoklin
% Manage to be compatible with loaddods w/o -A option. If the option is used,
% lines command with 12/12/2000 date should be re/un/commanded accordindly. klee
%
% Revision 1.1  2000/12/05 18:04:02  kwoklin
% First toolbox internal release.  klee
