%
%  GLOBEC Station Averages of EPSONDE Microstructure Profiles Data

%
% $Log: gbmicros.m,v $
% Revision 1.1  2000/09/19 20:50:41  kwoklin
% First toolbox internal release.   klee
%

% $Id: gbmicros.m,v 1.1 2000/09/19 20:50:41 kwoklin Exp $
% klee 09/2000
% klee 04/1999

GetFunctionName = 'getjgsta';
CatalogServer = 'http://dods.gso.uri.edu/cgi-bin/nph-ff/catalog/gbmicrostr.dat';
Cat_m_File = 'gbcat';
URL_m_File = 'gburl';

LonRange = [-70.5 -67.10];
LatRange = [40.5 41.5];
TimeRange = [1995.32121710 1995.45590444];
DepthRange = [10 76];
Resolution = nan;

DodsName = str2mat('temp','sal','sigma_t','eps','chi_t','k_t','k_rho');
DataName = 'MICROSTRUCTURE -- Station averages of EPSONDE microstructure profiles -- URI/GLOBEC ';    
%%LongitudeName = 'lon';
%%LatitudeName = 'lat';
%%TimeName = 'yrday_gmt';         
DepthName = 'press';
DepthUnits = 'dbar';
SelectableVariables = str2mat('Sea_Temp','Salinity','Sigma_t','Dissipation_eps','Dissipation_chi_t','Diffusivity_kt','Diffusivity_kr');
OptionalVariables = 'station';
SelectableOptional = 'Station';

%correspond to [t,x,y,d,...]
DataScale = [1995 1/365; nan nan; nan nan; nan nan; ...
             nan nan; nan nan; nan nan; nan nan; nan nan; nan nan; nan nan; nan nan];

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                      Station averages of EPSONDE microstructure profiles Data      ',...
'   ',...
'                   Parameter         Description                         Units',...
'                 ---------------------------------------------------------------',...
'   ',...
'                   pressure                                              dbar',...
'                   temperature                                           C',...
'                   salinity                                              psu',...
'                   sigma_t                                               kg/m^3',...
'                   epsilon             turbulent kinetic energy ',...
'                                       dissipation                       W/kg',...
'                   chi_theta           temperature variance dissipation  C^2/s',...
'                   K_t                 vertical diffusivity for heat     m^2/s',...
'                   K_rho               vertical diffusivity for density  m^2/s',...
'  ',...
' Station averages of EPSONDE microstructure profiles. ',...
' Nominally 10 drops per average.',...
'  ',...
' Shallow site SJ9506, 41.13 N 67.75 W, 4/27/95 - 4/28/95. ',...
' Deep site SJ9506, 40.87 N 67.55 W, 4/28/95 - 5/1/95. ',...
' Shallow site SJ9508, 41.13 N 67.75 W, 6/9/95 - 6/10/95. ',...
' Deep site SJ9508, 40.87 N 67.55 W, 6/10/95 - 6/15/95.',...
'  ',...
' 2 dbar depth bins.',...
'  ',...
' Details of data processing are described in University of Rhode Island, Graduate School of',...
' Oceanography Technical report 96-6.');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Apr. 27, 1995 (1995.32121710) ', ...
'         Ending_Date:    Jun. 14, 1995 (1995.45590444)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 67.75 W ', ...
'              East Bounding Coordinate: 67.54 W ', ...
'              South Bounding Coordinate: 40.86 N ', ...
'              North Bounding Coordinate: 41.13 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Dave Hebert', ...
'               Graduate School of Oceanography',...
'               Univ. of Rhode Island',...
'               Narragansett, RI 02882-1197',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > hebert@micmac.gso.uri.edu',...
'               FAX: 401-874-6728',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];
