%
%  GLOBEC Seward Johnson CTD Cast Dataset

% The preceding empty line is important
% $Log: gbsjctd.m,v $
% Revision 1.1  2000/09/19 20:50:41  kwoklin
% First toolbox internal release.   klee
%

% $Id: gbsjctd.m,v 1.1 2000/09/19 20:50:41 kwoklin Exp $
% klee 09/2000
% klee 04/1999

GetFunctionName = 'getjgsta_f2';
CatalogServer = 'http://dods.gso.uri.edu/cgi-bin/nph-ff/catalog/gbsjctd.dat';  %06/08/08sb
Cat_m_File = 'gbbdctdcr9';
URL_m_File = 'gbbdctdur';

LonRange = [-67.8 -67.1];
LatRange = [40.4 41.5];
TimeRange = [1995.318 1995.458];
DepthRange = [0.0 162.0];
Resolution = nan;

%%Serverexd = str2mat('06','08','08sb');
%%dayend = [123, 167.2, 167.2];
DodsName = str2mat('temp','sal','sigma_t','flvolt');
DataName = 'Water Column - Seward Johnson CTD Data - URI/GLOBEC';    
%%LongitudeName = 'lon';
%%LatitudeName = 'lat';
%%TimeName = 'yrday_gmt';         
DepthName = 'press';
DepthUnits = 'dbar';
SelectableVariables = str2mat('Sea_Temp','Salinity','Sigma_t','Fluorescence');
OptionalVariables = 'station';
SelectableOptional = 'Station';

%correspond to [t,x,y,d,...]
DataScale = [1995 1/365; nan nan; nan nan; nan nan; nan nan; nan nan; nan nan; nan nan; nan nan];

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                              Seward Johnson CTD Cast Data  ',...
'   ',...
'                   Parameter         Description                     Units',...
'                 ----------------------------------------------------------',...
'   ',...
'                   pressure                                          dbar',...
'                   temperature                                       C',...
'                   salinity                                          psu',...
'                   sigma_t                                           kg/m^3',...
'                   fluorometer                                       volts',...
'  ',...
' Instrument : NBIS Mark III / Seabrid SBE-25',...
'  ',...
' The seabird CTD was added to the Seward Johnson CTD package after cast 111 due to poor',...
' quality conductivity data. Seabird casts 112-114, 116, 124-128, 130-136, 138-140, 142-151,',...
' 153-160, 162, 164-172, and 174-185 are available in this data set.',...
'  ',...
' Calibrated CTD files provided by R. Limeburner. ',...
' Prepared by: Russ Burgett (burgett@micmac.gso.uri.edu)');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Apr. 26, 1995 (1995.31813697) ', ...
'         Ending_Date:    Jun. 15, 1995 (1995.45731726)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 67.78 W ', ...
'              East Bounding Coordinate: 67.13 W ', ...
'              South Bounding Coordinate: 40.52 N ', ...
'              North Bounding Coordinate: 41.41 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Dave Hebert', ...
'               Graduate School of Oceanography',...
'               Univ. of Rhode Island',...
'               Narragansett, RI 02882-1197',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > hebert@micmac.gso.uri.edu',...
'               FAX: 401-874-6728',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];
