%
%      Total Ozone Mapping Spectrometer Daily Dataset

%
% $Id: tomsd.m,v 1.3 2002/04/16 14:34:41 dan Exp $
% klee 11/2000

GetFunctionName = 'getrectg';
Cat_m_File = 'ffcsquery';
CatalogServer = [ 'http://daac.gsfc.nasa.gov/daac-bin/nph-ff/DODS/catalog/', ...
                'toms-cat.dat'];

LonRange = [-180 180];
LatRange = [90 -90];
TimeRange = [1978.83287671233,2000.5];
DepthRange = [0 0];
DepthUnits = '';
Resolution = 111;
Nlon = 288;
Nlat = 180;

DataName = 'MET - TOMS Global Level 3 Daily Gridded - GSFC';
LongitudeName = 'LONGITUDE';
LatitudeName = 'LATITUDE';
TimeName = '';
DepthName = '';
SelectableVariables = str2mat('Total_Ozone','Reflectivity');
DodsName = str2mat('TOTAL_OZONE','REFLECTIVITY');

DataNull = [nan nan nan nan 0 999];

Data_Use_Polocy = '';

Acknowledge = '';

Comments1 = sprintf('%s\n', ...
'         TOMS global total ozone and reflectivity level 3 daily gridded dataset',...
		    '   ',...
'  ** NOTE: This is a data set Readme.  For scientific content of the data, please **',...
'  **       refer to the online guide document at                                  **',...
'  **       http://daac.gsfc.nasa.gov/DATASET_DOCS/tomsl3_dataset.html             **',...
		    '   ',...
		    '   ',...
'    Parameter         Description                                 Units',...
'    --------------------------------------------------------------------',...
'    Total Ozone       Cumulative amount of ozone in an            Dobson Unit (DU)',...
'                      atmospheric column extending from the',...
'                      surface to the top of the atmosphere',...
'    Reflectivity      Effective ultraviolet reflectivity          %',...
'                      (360-380 nm) resulting from the combined ',...
'                      effects of the earth''s surface, clouds ',...
'                      and tropospheric aerosols.',...
		    '  ',...
'                      where 1 DU corresponds to the amount of gas which at',...
'                      1 atmosphere pressure and 273 K would form a layer of',...
'                      thickness 0.001 cm.',...
		    '   ',...
		    '   ',...
'    The Total Ozone Mapping Spectrometer (TOMS) version 7 Daily Gridded Data consist',...
'    of daily, global coverage of total ozone integrated over the depth of the ',...
'    atmosphere and bulk reflectivity resulting from the combined effects of the ',...
'    surface, clouds and tropospheric aerosols. The temporal coverage of the data is ',...
'    from November 1978 through May 1993 (Nimbus-7 TOMS), August 1991 through ',...
'    December 1994 (Meteor-3 TOMS), and September 1996 through June 1997 (ADEOS TOMS).',...
'     The data are archived at the Goddard Distributed Active Archive Center (DAAC).',...
		    '  ',...
'    This product supersedes both the version 6 GRIDTOMS data produced by the Ozone ',...
'    Processing Team (OPT) at Goddard Space Flight Center and archived at the Goddard ',...
'    DAAC as derivative version 6 TOMS DAYGRIDS data. ',...
		    '   ',...
'    The total ozone and reflectivity are mapped to a global grid of size 180 x 288 ',...
'    with a lat-long resolution of 1.00 x 1.25 degrees. These data are stored in the ',...
'    Hierarchical Data Format (HDF) and are much more easily visualized than the ',...
'    original GRIDTOMS data. HDF was developed by the National Center for Supercomputer',...
'     Applications (NCSA) at the University of Illinois at Urbana-Champaign. ',...
		    '   ',...
'    TOMS is the only source of high resolution global information about the total ',...
'    ozone content of the atmosphere. As such, the data set is important in studies ',...
'    involving upper air dynamics and chemistry on both short (interannual) and long ',...
'    (decadal) time scales. The TOMS instrument and its successors are the primary ',...
'    means by which regional (e.g., polar) and global ozone patterns have been ',...
'    monitored on a daily basis since 1978.');

Comments2 = sprintf('%s\n', ...
		    '   ',...
		    '   ',...
'    Satellite and Instrument',...
		    '   ',...
'      Nimbus-7:',...
		    '   ',...
		    '   ',...
'        Launch date                     24-Oct-1978',...
'        Orbit                           Sun-synchronous, near polar',...
'        Nominal Altitude (km)           955',...
'        Inclination (deg)               99.1',...
'        Orbit Period (min.)             104',...
'        Equator Crossing Time           12:00 noon (ascending)',...
'        Nodal Increment (deg)           26.1',...
		    '   ',...
		    '   ',...
'        TOMS was one of eight instruments on Nimbus-7 designed to provide ',...
'        continuous, long-term monitoring of atmospheric, oceanic and surface ',...
'        parameters on a global basis throughout most of the 1980s. ',...
		    '   ',...
'        The TOMS instrument is a single stage fixed-grating Ebert-Fastie ',...
'        monochromater with a rotating chopper wheel to resolve the incoming light ',...
'        into 6 wavelength bands with a one nanometer bandpass. These wavelengths are: ',...
		    '   ',...
		    '   ',...
'        312.3 nm        317.4 nm        331.1 nm ',...
'        339.7 nm        360.0 nm        380.0 nm ',...
		    '   ',...
		    '   ',...
'        TOMS scans in the cross-track direction in 3 degree steps from 51 degrees ',...
'        on one side of nadir to 51 degrees on the other, for a total of 35 samples. ',...
'        The instantaneous field-of-view (IFOV) of 3 degrees x 3 degrees results in ',...
'        a footprint varying from a 50 km x 50 km square at nadir to a 125 km by 280 km',...
'        diamond at the scan extremes. The total swath width is 3000 km, implying that',...
'        consequtive orbits overlap to create a contiguous mapping of ozone data. ',...
'        Approximately 200,000 measurements are made on a daily basis during the ',...
'        sunlit portions of the orbits. ',...
		    '   ',...
'        The ratios of backscattered ultraviolet radiation to incident radiation at',...
'        the four shortest wavelengths are used to infer total ozone, while the ',...
'        corresponding ratios at the two longer wavelengths (which are not sensitive ',...
'        to ozone absorption) are used for estimating the effective reflectivity ',...
'        due to the combined influence of the earth''s surface, clouds and aerosols. ',...
'        See the reference listed in section 5 McPeters et al. (1996) for a complete ',...
'        description of the methodology used to determine these geophysical parameters',...
'        from the backscattered UV radiance measurements.',...
'   ',...
'        The Nimbus-7 TOMS instrument ceased to function on May 7, 1993. ');

Comments3 = sprintf('%s\n', ...
		    '   ',...
		    '   ',...
'      Meteor-3:',...
		    '   ',...
		    '   ',...
'        Launch date                     15-Aug-1991',...
'        Orbit                           212 day precessing, near polar',...
'        Nominal Altitude (km)           1200',...
'        Inclination (deg)               82.5',...
'        Orbit Period (min.)             109',...
'        Equator Crossing Time           varies',...
'        Nodal Increment (deg)           27.2',...
		    '   ',...
		    '   ',...
'        The orbit of Meteor-3 drifts with respect to the sun angle with a period ',...
'        of 212 days. Ozone measurements are not made when the orbit is near the ',...
'        day-night terminator. Data are available when the sunlit portion of the ',...
'        orbit is between 9 AM and 3 PM for the first data year, and between 8 AM ',...
'        and 4 PM for the remaining two data years. ',...
		    '   ',...
'        The design of the Meteor-3 TOMS instrument is identical to that of the ',...
'        Nimbus-7 TOMS. A few changes were made, an interface was added to make ',...
'        TOMS compatible with Meteor-3, the single diffuser on Nimbus-7 TOMS was ',...
'        replaced with a three diffuser carousel, and a new solid state data recorder ',...
'        was added. ',...
		    '   ',...
'        The higher altitude of the Meteor-3 TOMS results in a larger footprint ',...
'        (64 km at nadir), and more overlap between scans and consecutive orbits ',...
'        than for Nimbus-7 TOMS. The longer orbit period means there is a maximum of ',...
'        488 scans per orbit, depending on light conditions. As the Meteor-3 orbit ',...
'        precesses the number of sunlit scans will vary. The number of scenes per scan',...
'        is 35, the same as for Nimbus-7 TOMS. See the reference listed in section 5 ',...
'        under Herman et al. (1996) for more detailed information about the Meteor-3 ',...
'        TOMS instrument. ',...
		    '   ',...
'        The Meteor-3 TOMS instrument stopped operating on Dec 28, 1994. ',...
		    '   ',...
		    '   ',...
'      Earth Probe:',...
		    '   ',...
		    '   ',...
'        Launch date                     02-Jul-1996',...
'        Orbit                           Sun-synchronous, near polar',...
'        Characteristics after 13 Dec 1997',...
'          Nominal Altitude (km)         740',...
'          Inclination (deg)             98.4',...
'          Nodal Period (min.)           100',...
'        Characteristics before 5 Dec 1997',...
'          Nominal Altitude (km)         500',...
'          Inclination (deg)             97.4',...
'          Nodal Period (min.)           95',...
		    '   ',...
'        The TOMS instrument on Earth Probe is similar in design to previous ',...
'        TOMS instruments, however different wavelengths were used: ',...
		    '   ',...
		    '   ',...
'        308.6 nm        312.5 nm        317.5 nm',...
'        322.3 nm        331.2 nm        360.0 nm',...
		    '   ',...
		    '   ',...
'        The new wavelengths provide improved ozone sensitivity at high solar ',...
'        zenith angles, and reduced sensitivity to errors in long-term calibration. ',...
		    '   ',...
'        Because the launch of Earth Probe was delayed by two years, both Earth Probe',...
'        and ADEOS flewsimultaneously. The Earth Probe satellite was placed in a low ',...
'        orbit enabling it to take data at high resolution and to improve the ability ',...
'        of measuring UV-absorbing aerosols in the troposphere. The lower orbit ',...
'        precluded full global coverage near the equator, but the instrument could ',...
'        still measure the polar regions in full. At this low altitude, the nadir ',...
'        footprint was 25 km x 25 km. After the failure of ADEOS, Earth Probe was ',...
'        boosted into a higher altitude to increase global coverage as much as possible.',...
'        The nadir footprint increased to 39 km x 39 km. As a result of the orbit ',...
'        boost there are no EP TOMS data between 5 and 12 Dec 1997. ',...
		    '   ',...
'        The Earth Probe TOMS instrument is still operational. ');

Comments3 = sprintf('%s\n', ...
		    '   ',...
		    '   ',...
'      ADEOS:',...
		    '   ',...
		    '   ',...
'        Launch date                     17-Aug-1996',...
'        Orbit                           Sun-synchronous subrecurrent, near polar',...
'        Nominal Altitude (km)           800',...
'        Inclination (deg)               98.6',...
'        Orbit Period (min.)             101',...
'        Recurrent Period (days)         41',...
'        Equator Crossing Time           10:15 - 10:45 AM (descending)',...
'        Nodal Increment (deg)           26.1',...
		    '   ',...
		    '   ',...
'        The ADEOS (also called Midori) satellite included eight instruments, among ',...
'        them the fourthTOMS instrument, for observing the Earth in an integrated ',...
'        manner by studying the atmosphere, ocean, and interactions between the two. ',...
		    '   ',...
'        The design of the ADEOS TOMS instrument is identical to that of the Earth ',...
'        Probe TOMS (see above). Because Earth Probe launch was delayed for two years,',...
'        ADEOS and flew simultaneously albeit at different altitudes. The higher ',...
'        alitude of ADEOS allowed TOMS to provide daily global coverage. ',...
		    '   ',...
'        The ADEOS satellite failed prematurely on June 30, 1997, with the last TOMS ',...
'        data being taken June 29. ',...
		    '   ',...
		    '   ',...
'      Meteor-3M:',...
		    '   ',...
'        Planned for launch in 2000. ',...
		    '   ',...
		    '   ',...
'   References: ', ...
		    '   ',...
		    '   ',...
'    McPeters, R.D., et al. 1996. Nimbus-7 Total Ozone Mapping Spectrometer ',...
'    (TOMS) Data Products User''s Guide. NASA Reference Publication 1384. ',...
		    '   ',...
'    Herman, J.R., et al. 1996. Meteor-3 Total Ozone Mapping Spectrometer ',...
'    (TOMS) Data Products User''s Guide. NASA Reference Publication 1393. ',...
		    '   ',...
'    Krueger, A.J. et al. 1998. ADEOS Total Ozone Mapping Spectrometer ',...
'    (TOMS) Data Products User''s Guide. NASA Reference Publication. ',...
		    '   ',...
'    McPeters, R.D., et al. 1998. Earth Probe Total Ozone Mapping Spectrometer ',...
'    (TOMS) Data Products User''s Guide. NASA Reference Publication 1998-206895. ');


Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: 1978 ', ...
'         Ending_Date: (continue) ', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: -179.375 ', ...
'              East Bounding Coordinate:  179.375 ', ...
'              South Bounding Coordinate: -89.5 ', ...
'              North Bounding Coordinate:  89.5 ', ...
'    Spatial Resolution: lat-long  1.00 x 1.25 degrees', ...
'   ', ...
'    Point_of_Contact (Science) ', ...
'         Address: ', ...
'               ', ...
'               ', ...
'               ', ...
'               ', ...
'               ', ...
'               USA ', ...
'         Electronic Mail Address:INTERNET > ', ...
'         Address: ', ...
'               ', ...
'               ', ...
'               ', ...
'               ', ...
'               ', ...
'               USA ', ...
'         Electronic Mail Address:INTERNET > ', ...
'    Point_of_Contact (DAAC Help Desk) ', ...
'         Address: ', ...
'               GSFC DAAC Help Desk', ...
'               Code 902', ...
'               NASA Goddard Space Flight Center ', ...
'               Greenbelt, MD 20771 ', ...
'               USA ', ...
'               Telephone: 301-614-5224 or 1-800-257-6151 ',...
'               Fax: 301-614-5268 ',...
'         Electronic Mail Address:INTERNET >  daacuso@daac.gsfc.nasa.gov ',...
'    Point_of_Contact (DODS) ', ...
'         Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');


Comments = [Comments1 Comments2 Comments3 Comments4];


% $Log: tomsd.m,v $
% Revision 1.3  2002/04/16 14:34:41  dan
% Updated CatalogServer entry to GSFC DAAC CatalogServer
%
% Revision 1.2  2001/01/18 19:35:44  dbyrne
%
%
% datarange is no longer in use.  changed datanull to cell in many cases.
% -- dbyrne 01/01/17
%
% Revision 1.1  2000/11/02 16:06:57  kwoklin
% Initial version of TOMS data set (incomplete).  klee
%
