% This program sets up the variables needed to save for a test suite

global set_up_test run_test
global test_archive_name
global testsuiteindir
global dodsdir

set_up_test = 0;

bad_list = [];

dirsep = '/';
c = computer;
if strcmp(c(1:2),'PC')
    dirsep = '\';
elseif strcmp(c(1:2),'MA')
    dirsep = ':';
end

if isempty('testsuiteindir')
  testsuiteindir = dodsdir;
end

if ~exist('testsuiteoutdir')
  if strcmp(c(1:2),'PC')
    testsuiteoutdir = '''c:\Program Files\URI\dods\bin\ml-toolbox\''';
  else
    testsuiteoutdir = '/home/pete/dods/';
  end
end

% Open input file.

filein = strcat(testsuiteindir, 'testsuite', dirsep, 'full.list');
if exist('short_list')
    if short_list     % If short_list is set to one use short.list
        filein = strcat(testsuiteindir, 'testsuite', dirsep, 'short.list');
    end
end

nn=find(filein~='''');
filein = filein(nn);
[fidi, message] = fopen(filein,'r');
iskip = 1;
if fidi == 0
  disp(['Problem opening ' filein '. Error message is: ' message])
  return
end
clear filein message

% Open output file.
xx = clock;
fileout = strcat(testsuiteoutdir, 'testsuite', dirsep, num2str(xx(1)), '-', ...
		 num2str(xx(2)), '-', num2str(xx(3)), '-',num2str(xx(4)), '.log');
nn=find(fileout~='''');
fileout = fileout(nn);
[fido, message] = fopen(fileout,'w');
if fido == 0
  disp(['Problem opening' fileout '. Error message is:' message])
  return
end
clear xx fileout message

%*****************************************************************
% Run the tests

nchar = 1;
run_number = 0;
while nchar~=0
  run_number = run_number + 1;
  clear nchar
  [test_archive_name, nchar] = fscanf( fidi, '%s', 1);
  if nchar > 0
    compare_results
  end
end

if isempty(bad_list)
  disp('*************************************************************')
  disp('************** ALL DATA SETS PASSED THE TESTS ***************')
  disp('*************************************************************')
else
  disp('*************************************************************')
  disp('********** The following data sets had problems *************')
  disp(bad_list)
  disp('*************************************************************')
end

clear fidi fido nchar iskip test_suite_directory test_archive_name run_number ans set_up_test


